000100 IDENTIFICATION DIVISION.                                         POS00613
000200 PROGRAM-ID.    CERTPK.                                           90/02/20
000300                                                                  90/02/16
000400 AUTHOR.        PIETER HINTJENS.                                  90/02/16
000500 DATE-WRITTEN.  90/02/16                                          90/02/16
000600     -REVISED:  95/12/23.                                         95/12/23
000700                                                                  90/02/16
000800*#SET ALL EN FR FB NL PO ES DE DA IT NO SV IS                     ALL
000900*#CASE EN                                                         95/12/12
001000*#    DEF LANG = "EN01"                                           95/12/12
001100*#CASE FR                                                         95/12/12
001200*#    DEF LANG = "FR01"                                           95/12/12
001300*#CASE FB                                                         95/12/12
001400*#    DEF LANG = "FB01"                                           95/12/12
001500*#CASE NL                                                         95/12/12
001600*#    DEF LANG = "NL01"                                           95/12/12
001700*#CASE PO                                                         95/12/12
001800*#    DEF LANG = "PO01"                                           95/12/12
001900*#CASE ES                                                         95/12/12
002000*#    DEF LANG = "ES01"                                           95/12/12
002100*#CASE DE                                                         95/12/12
002200*#    DEF LANG = "DE01"                                           95/12/12
002300*#CASE DA                                                         95/12/12
002400*#    DEF LANG = "DA01"                                           95/12/12
002500*#CASE IT                                                         95/12/12
002600*#    DEF LANG = "IT01"                                           95/12/12
002700*#CASE NO                                                         95/12/12
002800*#    DEF LANG = "NO01"                                           95/12/12
002900*#CASE SV                                                         95/12/12
003000*#    DEF LANG = "SV01"                                           95/12/12
003100*#CASE IS                                                         95/12/12
003200*#    DEF LANG = "IS01"                                           95/12/12
003300*#END                                                             95/12/12
003400 ENVIRONMENT DIVISION.                                            90/02/16
003500                                                                  90/02/16
003600 CONFIGURATION SECTION.                                           90/02/16
003700 SOURCE-COMPUTER. PORTABLE.                                       90/02/16
003800 OBJECT-COMPUTER. PORTABLE.                                       90/02/16
003900                                                                  90/02/16
004000 DATA DIVISION.                                                   90/02/16
004100                                                                  90/02/16
004200 WORKING-STORAGE SECTION.                                         90/02/16
004300                                                                  90/02/16
004400 01  LANGUAGE-CODES.                                              90/02/17
004500*#CASE ALL                                                        95/12/12
004600     02  FILLER                  PIC X(4)   VALUE "EN01".         90/02/20
004700     02  FILLER                  PIC X(4)   VALUE "FR02".         90/02/20
004800     02  FILLER                  PIC X(4)   VALUE "FB02".         90/02/23
004900     02  FILLER                  PIC X(4)   VALUE "NL03".         90/02/20
005000     02  FILLER                  PIC X(4)   VALUE "PO04".         90/02/20
005100     02  FILLER                  PIC X(4)   VALUE "ES05".         90/02/20
005200     02  FILLER                  PIC X(4)   VALUE "DE06".         90/02/20
005300     02  FILLER                  PIC X(4)   VALUE "DA07".         90/02/20
005400     02  FILLER                  PIC X(4)   VALUE "IT08".         90/02/20
005500     02  FILLER                  PIC X(4)   VALUE "NO09".         90/02/20
005600     02  FILLER                  PIC X(4)   VALUE "SV10".         90/02/21
005700     02  FILLER                  PIC X(4)   VALUE "IS11".         90/02/21
005800     02  FILLER                  PIC X(4)   VALUE "1 02".         90/02/20
005900     02  FILLER                  PIC X(4)   VALUE "2 03".         90/02/20
006000     02  FILLER                  PIC X(4)   VALUE "3 01".         90/02/20
006100     02  FILLER                  PIC X(4)   VALUE "4 08".         90/02/20
006200     02  FILLER                  PIC X(4)   VALUE "5 06".         90/02/20
006300     02  FILLER                  PIC X(4)   VALUE "6 05".         90/02/20
006400     02  FILLER.                                                  92/11/24
006500         03  LANGUAGE-SENTINEL   PIC X(2)   VALUE "??".           92/11/24
006600         03  FILLER              PIC 9(2)   VALUE ZERO.           92/11/24
006700 01  FILLER                      REDEFINES  LANGUAGE-CODES.       90/02/17
006800     02  FILLER                             OCCURS 19 TIMES.      90/02/21
006900         03  LANGUAGE-CODE       PIC X(2).                        90/02/17
007000         03  LANGUAGE-INDEX      PIC 9(2).                        90/02/17
007100*#CASE EN FR FB NL PO ES DE DA IT NO SV IS                        95/12/12
007200*    02  FILLER                  PIC X(4)   VALUE #LANG.          95/12/12
007300*    02  FILLER.                                                  95/12/12
007400*        03  LANGUAGE-SENTINEL   PIC X(2)   VALUE "??".           95/12/12
007500*        03  FILLER              PIC 9(2)   VALUE ZERO.           95/12/12
007600*01  FILLER                      REDEFINES  LANGUAGE-CODES.       95/12/12
007700*    02  FILLER                             OCCURS  2 TIMES.      95/12/12
007800*        03  LANGUAGE-CODE       PIC X(2).                        95/12/12
007900*        03  LANGUAGE-INDEX      PIC 9(2).                        95/12/12
008000*#END                                                             95/12/12
008100                                                                  90/02/17
008200 01  ALL-NAMES-FOR-10-20.                                         90/02/17
008300*#CASE EN ALL                                                     95/12/12
008400     02  EN-01-20.                                                90/02/17
008500         03  FILLER              PIC X(11)  VALUE "one".          90/04/06
008600         03  FILLER              PIC X(11)  VALUE "two".          90/04/06
008700         03  FILLER              PIC X(11)  VALUE "three".        90/04/06
008800         03  FILLER              PIC X(11)  VALUE "four".         90/04/06
008900         03  FILLER              PIC X(11)  VALUE "five".         90/04/06
009000         03  FILLER              PIC X(11)  VALUE "six".          90/04/06
009100         03  FILLER              PIC X(11)  VALUE "seven".        90/04/06
009200         03  FILLER              PIC X(11)  VALUE "eight".        90/04/06
009300         03  FILLER              PIC X(11)  VALUE "nine".         90/04/06
009400         03  FILLER              PIC X(11)  VALUE "ten".          90/04/06
009500         03  FILLER              PIC X(11)  VALUE "eleven".       90/04/06
009600         03  FILLER              PIC X(11)  VALUE "twelve".       90/04/06
009700         03  FILLER              PIC X(11)  VALUE "thirteen".     90/04/06
009800         03  FILLER              PIC X(11)  VALUE "fourteen".     90/04/06
009900         03  FILLER              PIC X(11)  VALUE "fifteen".      90/04/06
010000         03  FILLER              PIC X(11)  VALUE "sixteen".      90/04/06
010100         03  FILLER              PIC X(11)  VALUE "seventeen".    90/04/06
010200         03  FILLER              PIC X(11)  VALUE "eighteen".     90/04/06
010300         03  FILLER              PIC X(11)  VALUE "nineteen".     90/04/06
010400         03  FILLER              PIC X(11)  VALUE "twenty".       90/04/06
010500     02  FILLER                  REDEFINES  EN-01-20.             90/02/17
010600         03  EN-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
010700*#CASE FR FB ALL                                                  95/12/12
010800     02  FR-01-20.                                                90/02/17
010900         03  FILLER              PIC X(11)  VALUE "un".           90/04/06
011000         03  FILLER              PIC X(11)  VALUE "deux".         90/04/06
011100         03  FILLER              PIC X(11)  VALUE "trois".        90/04/06
011200         03  FILLER              PIC X(11)  VALUE "quatre".       90/04/06
011300         03  FILLER              PIC X(11)  VALUE "cinq".         90/04/06
011400         03  FILLER              PIC X(11)  VALUE "six".          90/04/06
011500         03  FILLER              PIC X(11)  VALUE "sept".         90/04/06
011600         03  FILLER              PIC X(11)  VALUE "huit".         90/04/06
011700         03  FILLER              PIC X(11)  VALUE "neuf".         90/04/06
011800         03  FILLER              PIC X(11)  VALUE "dix".          90/04/06
011900         03  FILLER              PIC X(11)  VALUE "onze".         90/04/06
012000         03  FILLER              PIC X(11)  VALUE "douze".        90/04/06
012100         03  FILLER              PIC X(11)  VALUE "treize".       90/04/06
012200         03  FILLER              PIC X(11)  VALUE "quatorze".     90/04/06
012300         03  FILLER              PIC X(11)  VALUE "quinze".       90/04/06
012400         03  FILLER              PIC X(11)  VALUE "seize".        90/04/06
012500         03  FILLER              PIC X(11)  VALUE "dix-sept".     90/04/06
012600         03  FILLER              PIC X(11)  VALUE "dix-huit".     90/04/06
012700         03  FILLER              PIC X(11)  VALUE "dix-neuf".     90/04/06
012800         03  FILLER              PIC X(11)  VALUE "vingt".        90/04/06
012900     02  FILLER                  REDEFINES  FR-01-20.             90/02/17
013000         03  FR-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
013100*#CASE NL ALL                                                     95/12/12
013200     02  NL-01-20.                                                90/02/17
013300         03  FILLER              PIC X(11)  VALUE "een".          90/04/06
013400         03  FILLER              PIC X(11)  VALUE "twee".         90/04/06
013500         03  FILLER              PIC X(11)  VALUE "drie".         90/04/06
013600         03  FILLER              PIC X(11)  VALUE "vier".         90/04/06
013700         03  FILLER              PIC X(11)  VALUE "vijf".         90/04/06
013800         03  FILLER              PIC X(11)  VALUE "zes".          90/04/06
013900         03  FILLER              PIC X(11)  VALUE "zeven".        90/04/06
014000         03  FILLER              PIC X(11)  VALUE "acht".         90/04/06
014100         03  FILLER              PIC X(11)  VALUE "negen".        90/04/06
014200         03  FILLER              PIC X(11)  VALUE "tien".         90/04/06
014300         03  FILLER              PIC X(11)  VALUE "elf".          90/04/06
014400         03  FILLER              PIC X(11)  VALUE "twaalf".       90/04/06
014500         03  FILLER              PIC X(11)  VALUE "dertien".      90/04/06
014600         03  FILLER              PIC X(11)  VALUE "veertien".     90/04/06
014700         03  FILLER              PIC X(11)  VALUE "vijftien".     90/04/06
014800         03  FILLER              PIC X(11)  VALUE "zestien".      90/04/06
014900         03  FILLER              PIC X(11)  VALUE "zeventien".    90/04/06
015000         03  FILLER              PIC X(11)  VALUE "achttien".     90/04/06
015100         03  FILLER              PIC X(11)  VALUE "negentien".    90/04/06
015200         03  FILLER              PIC X(11)  VALUE "twintig".      90/04/06
015300     02  FILLER                  REDEFINES  NL-01-20.             90/02/17
015400         03  NL-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
015500*#CASE PO ALL                                                     95/12/12
015600     02  PO-01-20.                                                90/02/17
015700         03  FILLER              PIC X(11)  VALUE "um".           90/04/06
015800         03  FILLER              PIC X(11)  VALUE "dois".         90/04/06
015900         03  FILLER              PIC X(11)  VALUE "tres".         90/04/06
016000         03  FILLER              PIC X(11)  VALUE "quatro".       90/04/06
016100         03  FILLER              PIC X(11)  VALUE "cinco".        90/04/06
016200         03  FILLER              PIC X(11)  VALUE "seis".         90/04/06
016300         03  FILLER              PIC X(11)  VALUE "sete".         90/04/06
016400         03  FILLER              PIC X(11)  VALUE "oito".         90/04/06
016500         03  FILLER              PIC X(11)  VALUE "nove".         90/04/06
016600         03  FILLER              PIC X(11)  VALUE "dez".          90/04/06
016700         03  FILLER              PIC X(11)  VALUE "onze".         90/04/06
016800         03  FILLER              PIC X(11)  VALUE "doze".         90/04/06
016900         03  FILLER              PIC X(11)  VALUE "treze".        90/04/06
017000         03  FILLER              PIC X(11)  VALUE "catorze".      90/04/06
017100         03  FILLER              PIC X(11)  VALUE "quinze".       90/04/06
017200         03  FILLER              PIC X(11)  VALUE "dezasseis".    90/04/06
017300         03  FILLER              PIC X(11)  VALUE "dezassete".    90/04/06
017400         03  FILLER              PIC X(11)  VALUE "dezoito".      90/04/06
017500         03  FILLER              PIC X(11)  VALUE "dezanove".     90/04/06
017600         03  FILLER              PIC X(11)  VALUE "vinte".        90/04/06
017700     02  FILLER                  REDEFINES  PO-01-20.             90/02/17
017800         03  PO-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
017900*#CASE ES ALL                                                     95/12/12
018000     02  ES-01-20.                                                90/02/17
018100         03  FILLER              PIC X(11)  VALUE "uno".          90/04/06
018200         03  FILLER              PIC X(11)  VALUE "dos".          90/04/06
018300         03  FILLER              PIC X(11)  VALUE "tres".         90/04/06
018400         03  FILLER              PIC X(11)  VALUE "cuatro".       90/04/06
018500         03  FILLER              PIC X(11)  VALUE "cinco".        90/04/06
018600         03  FILLER              PIC X(11)  VALUE "seis".         90/04/06
018700         03  FILLER              PIC X(11)  VALUE "siete".        90/04/06
018800         03  FILLER              PIC X(11)  VALUE "ocho".         90/04/06
018900         03  FILLER              PIC X(11)  VALUE "nueve".        90/04/06
019000         03  FILLER              PIC X(11)  VALUE "diez".         90/04/06
019100         03  FILLER              PIC X(11)  VALUE "once".         90/04/06
019200         03  FILLER              PIC X(11)  VALUE "doce".         90/04/06
019300         03  FILLER              PIC X(11)  VALUE "trece".        90/04/06
019400         03  FILLER              PIC X(11)  VALUE "catorce".      90/04/06
019500         03  FILLER              PIC X(11)  VALUE "quince".       90/04/06
019600         03  FILLER              PIC X(11)  VALUE "dieciseis".    90/04/06
019700         03  FILLER              PIC X(11)  VALUE "diecisiete".   90/04/06
019800         03  FILLER              PIC X(11)  VALUE "dieciocho".    90/04/06
019900         03  FILLER              PIC X(11)  VALUE "diecinueve".   90/04/06
020000         03  FILLER              PIC X(11)  VALUE "veinte".       90/04/06
020100     02  FILLER                  REDEFINES  ES-01-20.             90/02/17
020200         03  ES-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
020300*#CASE DE ALL                                                     95/12/12
020400     02  DE-01-20.                                                90/02/17
020500         03  FILLER              PIC X(11)  VALUE "ein".          90/04/06
020600         03  FILLER              PIC X(11)  VALUE "zwei".         90/04/06
020700         03  FILLER              PIC X(11)  VALUE "drei".         90/04/06
020800         03  FILLER              PIC X(11)  VALUE "vier".         90/04/06
020900         03  FILLER              PIC X(11)  VALUE "fnf".         90/04/06
021000         03  FILLER              PIC X(11)  VALUE "sechs".        90/04/06
021100         03  FILLER              PIC X(11)  VALUE "sieben".       90/04/06
021200         03  FILLER              PIC X(11)  VALUE "acht".         90/04/06
021300         03  FILLER              PIC X(11)  VALUE "neun".         90/04/06
021400         03  FILLER              PIC X(11)  VALUE "zehn".         90/04/06
021500         03  FILLER              PIC X(11)  VALUE "elf".          90/04/06
021600         03  FILLER              PIC X(11)  VALUE "zwlf".        90/04/06
021700         03  FILLER              PIC X(11)  VALUE "dreizehn".     90/04/06
021800         03  FILLER              PIC X(11)  VALUE "vierzehn".     90/04/06
021900         03  FILLER              PIC X(11)  VALUE "fnfzehn".     90/04/06
022000         03  FILLER              PIC X(11)  VALUE "sechzehn".     90/04/06
022100         03  FILLER              PIC X(11)  VALUE "siebzehn".     90/04/06
022200         03  FILLER              PIC X(11)  VALUE "achtzehn".     90/04/06
022300         03  FILLER              PIC X(11)  VALUE "neunzehn".     90/04/06
022400         03  FILLER              PIC X(11)  VALUE "zwanzig".      90/04/06
022500     02  FILLER                  REDEFINES  DE-01-20.             90/02/17
022600         03  DE-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
022700*#CASE DA ALL                                                     95/12/12
022800     02  DA-01-20.                                                90/02/17
022900         03  FILLER              PIC X(11)  VALUE "en".           90/04/06
023000         03  FILLER              PIC X(11)  VALUE "to".           90/04/06
023100         03  FILLER              PIC X(11)  VALUE "tre".          90/04/06
023200         03  FILLER              PIC X(11)  VALUE "fire".         90/04/06
023300         03  FILLER              PIC X(11)  VALUE "fem".          90/04/06
023400         03  FILLER              PIC X(11)  VALUE "seks".         90/04/06
023500         03  FILLER              PIC X(11)  VALUE "syv".          90/04/06
023600         03  FILLER              PIC X(11)  VALUE "otte".         90/04/06
023700         03  FILLER              PIC X(11)  VALUE "ni".           90/04/06
023800         03  FILLER              PIC X(11)  VALUE "ti".           90/04/06
023900         03  FILLER              PIC X(11)  VALUE "elleve".       95/12/23
024000         03  FILLER              PIC X(11)  VALUE "tolv".         90/04/06
024100         03  FILLER              PIC X(11)  VALUE "tretten".      90/04/06
024200         03  FILLER              PIC X(11)  VALUE "fjorten".      90/04/06
024300         03  FILLER              PIC X(11)  VALUE "femten".       90/04/06
024400         03  FILLER              PIC X(11)  VALUE "seksten".      90/04/06
024500         03  FILLER              PIC X(11)  VALUE "sytten".       90/04/06
024600         03  FILLER              PIC X(11)  VALUE "atten".        90/04/06
024700         03  FILLER              PIC X(11)  VALUE "nitten".       90/04/06
024800         03  FILLER              PIC X(11)  VALUE "tyve".         90/04/06
024900     02  FILLER                  REDEFINES  DA-01-20.             90/02/17
025000         03  DA-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
025100*#CASE IT ALL                                                     95/12/12
025200     02  IT-01-20.                                                90/02/17
025300         03  FILLER              PIC X(11)  VALUE "uno".          90/04/06
025400         03  FILLER              PIC X(11)  VALUE "due".          90/04/06
025500         03  FILLER              PIC X(11)  VALUE "tre".          90/04/06
025600         03  FILLER              PIC X(11)  VALUE "quattro".      90/04/06
025700         03  FILLER              PIC X(11)  VALUE "cinque".       90/04/06
025800         03  FILLER              PIC X(11)  VALUE "sei".          90/04/06
025900         03  FILLER              PIC X(11)  VALUE "sette".        90/04/06
026000         03  FILLER              PIC X(11)  VALUE "otto".         90/04/06
026100         03  FILLER              PIC X(11)  VALUE "nove".         90/04/06
026200         03  FILLER              PIC X(11)  VALUE "dieci".        90/04/06
026300         03  FILLER              PIC X(11)  VALUE "undici".       90/04/06
026400         03  FILLER              PIC X(11)  VALUE "dodici".       90/04/06
026500         03  FILLER              PIC X(11)  VALUE "tredici".      90/04/06
026600         03  FILLER              PIC X(11)  VALUE "quatrodici".   90/04/06
026700         03  FILLER              PIC X(11)  VALUE "quindici".     90/04/06
026800         03  FILLER              PIC X(11)  VALUE "sedici".       90/04/06
026900         03  FILLER              PIC X(11)  VALUE "diciassette".  90/04/06
027000         03  FILLER              PIC X(11)  VALUE "diciotto".     90/04/06
027100         03  FILLER              PIC X(11)  VALUE "dicianove".    90/04/06
027200         03  FILLER              PIC X(11)  VALUE "venti".        90/04/06
027300     02  FILLER                  REDEFINES  IT-01-20.             90/02/17
027400         03  IT-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/18
027500*#CASE NO ALL                                                     95/12/12
027600     02  NO-01-20.                                                90/02/20
027700         03  FILLER              PIC X(11)  VALUE "en".           90/04/06
027800         03  FILLER              PIC X(11)  VALUE "to".           90/04/06
027900         03  FILLER              PIC X(11)  VALUE "tre".          90/04/06
028000         03  FILLER              PIC X(11)  VALUE "fire".         90/04/06
028100         03  FILLER              PIC X(11)  VALUE "fem".          90/04/06
028200         03  FILLER              PIC X(11)  VALUE "seks".         90/04/06
028300         03  FILLER              PIC X(11)  VALUE "syv".          90/04/06
028400         03  FILLER              PIC X(11)  VALUE "tte".         90/04/06
028500         03  FILLER              PIC X(11)  VALUE "ni".           90/04/06
028600         03  FILLER              PIC X(11)  VALUE "ti".           90/04/06
028700         03  FILLER              PIC X(11)  VALUE "elleve".       90/04/06
028800         03  FILLER              PIC X(11)  VALUE "tolv".         90/04/06
028900         03  FILLER              PIC X(11)  VALUE "tretten".      90/04/06
029000         03  FILLER              PIC X(11)  VALUE "fjorten".      90/04/06
029100         03  FILLER              PIC X(11)  VALUE "femten".       90/04/06
029200         03  FILLER              PIC X(11)  VALUE "seksten".      90/04/06
029300         03  FILLER              PIC X(11)  VALUE "sytten".       90/04/06
029400         03  FILLER              PIC X(11)  VALUE "atten".        90/04/06
029500         03  FILLER              PIC X(11)  VALUE "nitten".       90/04/06
029600         03  FILLER              PIC X(11)  VALUE "tyve".         90/04/06
029700     02  FILLER                  REDEFINES  NO-01-20.             90/02/20
029800         03  NO-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/20
029900*#CASE SV ALL                                                     95/12/12
030000     02  SV-01-20.                                                90/02/21
030100         03  FILLER              PIC X(11)  VALUE "en".           90/04/06
030200         03  FILLER              PIC X(11)  VALUE "tv".          90/04/06
030300         03  FILLER              PIC X(11)  VALUE "tre".          90/04/06
030400         03  FILLER              PIC X(11)  VALUE "fyra".         90/04/06
030500         03  FILLER              PIC X(11)  VALUE "fem".          90/04/06
030600         03  FILLER              PIC X(11)  VALUE "sex".          90/04/06
030700         03  FILLER              PIC X(11)  VALUE "sju".          90/04/06
030800         03  FILLER              PIC X(11)  VALUE "tta".         90/04/06
030900         03  FILLER              PIC X(11)  VALUE "nio".          90/04/06
031000         03  FILLER              PIC X(11)  VALUE "tio".          90/04/06
031100         03  FILLER              PIC X(11)  VALUE "elva".         90/04/06
031200         03  FILLER              PIC X(11)  VALUE "tolv".         90/04/06
031300         03  FILLER              PIC X(11)  VALUE "tretton".      90/04/06
031400         03  FILLER              PIC X(11)  VALUE "fjorton".      90/04/06
031500         03  FILLER              PIC X(11)  VALUE "femton".       90/04/06
031600         03  FILLER              PIC X(11)  VALUE "sexton".       90/04/06
031700         03  FILLER              PIC X(11)  VALUE "sjutton".      90/04/06
031800         03  FILLER              PIC X(11)  VALUE "atton".        92/09/30
031900         03  FILLER              PIC X(11)  VALUE "nitton".       90/04/06
032000         03  FILLER              PIC X(11)  VALUE "tjugo".        90/04/06
032100     02  FILLER                  REDEFINES  SV-01-20.             90/02/21
032200         03  SV-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/21
032300*#CASE IS ALL                                                     95/12/12
032400     02  IS-01-20.                                                90/02/21
032500         03  FILLER              PIC X(11)  VALUE "einn".         90/04/06
032600         03  FILLER              PIC X(11)  VALUE "tweir".        90/04/06
032700         03  FILLER              PIC X(11)  VALUE "thrir".        90/04/06
032800         03  FILLER              PIC X(11)  VALUE "fjorir".       90/04/06
032900         03  FILLER              PIC X(11)  VALUE "fimm".         90/04/06
033000         03  FILLER              PIC X(11)  VALUE "sex".          90/04/06
033100         03  FILLER              PIC X(11)  VALUE "sj".          90/04/06
033200         03  FILLER              PIC X(11)  VALUE "atta".         90/04/06
033300         03  FILLER              PIC X(11)  VALUE "niu".          90/04/06
033400         03  FILLER              PIC X(11)  VALUE "tiu".          90/04/06
033500         03  FILLER              PIC X(11)  VALUE "ellefu".       90/04/06
033600         03  FILLER              PIC X(11)  VALUE "tolf".         90/04/06
033700         03  FILLER              PIC X(11)  VALUE "threttan".     90/04/06
033800         03  FILLER              PIC X(11)  VALUE "fjortan".      90/04/06
033900         03  FILLER              PIC X(11)  VALUE "fimtan".       90/04/06
034000         03  FILLER              PIC X(11)  VALUE "sextan".       90/04/06
034100         03  FILLER              PIC X(11)  VALUE "seytjan".      90/04/06
034200         03  FILLER              PIC X(11)  VALUE "atjan".        90/04/06
034300         03  FILLER              PIC X(11)  VALUE "nitjan".       90/04/06
034400         03  FILLER              PIC X(11)  VALUE "tuttugu".      90/04/06
034500     02  FILLER                  REDEFINES  IS-01-20.             90/02/21
034600         03  IS-NAME-01-20       PIC X(11)  OCCURS 20 TIMES.      90/02/21
034700*#CASE ALL                                                        95/12/12
034800 01  FILLER                      REDEFINES  ALL-NAMES-FOR-10-20.  90/02/17
034900     02  NAMES-FOR-10-20         PIC X(220) OCCURS 11 TIMES.      90/02/21
035000*#CASE EN FR FB NL PO ES DE DA IT NO SV IS                        95/12/12
035100*01  FILLER                      REDEFINES  ALL-NAMES-FOR-10-20.  95/12/12
035200*    02  NAMES-FOR-10-20         PIC X(220) OCCURS  1 TIMES.      95/12/12
035300*#END                                                             95/12/12
035400                                                                  90/02/17
035500 01  NULL-NAMES.                                                  90/02/17
035600     02  EN-NULL-NAME            PIC X(4)   VALUE "zero".         90/04/06
035700     02  FR-NULL-NAME            PIC X(4)   VALUE "zero".         90/04/06
035800     02  NL-NULL-NAME            PIC X(4)   VALUE "nul".          90/04/06
035900     02  PO-NULL-NAME            PIC X(4)   VALUE "zero".         90/04/06
036000     02  ES-NULL-NAME            PIC X(4)   VALUE "zero".         90/04/06
036100     02  DE-NULL-NAME            PIC X(4)   VALUE "null".         90/04/06
036200     02  DA-NULL-NAME            PIC X(4)   VALUE "nul".          90/04/06
036300     02  IT-NULL-NAME            PIC X(4)   VALUE "zero".         90/04/06
036400     02  NO-NULL-NAME            PIC X(4)   VALUE "null".         90/04/06
036500     02  SV-NULL-NAME            PIC X(4)   VALUE "noll".         90/04/06
036600     02  IS-NULL-NAME            PIC X(4)   VALUE "null".         90/04/06
036700 01  FILLER                      REDEFINES  NULL-NAMES.           90/02/17
036800     02  NULL-NAME               PIC X(4)   OCCURS 11 TIMES.      90/02/21
036900                                                                  90/02/17
037000 01  FIELD-MINIMUMS.                                              92/05/08
037100     02  EN-FIELD-MINIMUM        PIC 9      VALUE 5.              92/05/08
037200     02  FR-FIELD-MINIMUM        PIC 9      VALUE 6.              92/05/08
037300     02  NL-FIELD-MINIMUM        PIC 9      VALUE 5.              92/05/08
037400     02  PO-FIELD-MINIMUM        PIC 9      VALUE 6.              92/05/08
037500     02  ES-FIELD-MINIMUM        PIC 9      VALUE 6.              92/05/08
037600     02  DE-FIELD-MINIMUM        PIC 9      VALUE 6.              92/05/08
037700     02  DA-FIELD-MINIMUM        PIC 9      VALUE 4.              92/05/08
037800     02  IT-FIELD-MINIMUM        PIC 9      VALUE 7.              92/05/08
037900     02  NO-FIELD-MINIMUM        PIC 9      VALUE 5.              92/05/08
038000     02  SV-FIELD-MINIMUM        PIC 9      VALUE 5.              92/05/08
038100     02  IS-FIELD-MINIMUM        PIC 9      VALUE 6.              92/05/08
038200 01  FILLER                      REDEFINES  FIELD-MINIMUMS.       92/05/08
038300     02  FIELD-MINIMUM           PIC 9      OCCURS 11 TIMES.      92/05/08
038400*#CASE EN ALL                                                     95/12/12
038500                                                                  95/12/12
038600 01  EN-10-90.                                                    90/02/16
038700     02  FILLER                  PIC X(7)   VALUE "ten".          90/04/06
038800     02  FILLER                  PIC X(7)   VALUE "twenty".       90/04/06
038900     02  FILLER                  PIC X(7)   VALUE "thirty".       90/04/06
039000     02  FILLER                  PIC X(7)   VALUE "forty".        90/04/06
039100     02  FILLER                  PIC X(7)   VALUE "fifty".        90/04/06
039200     02  FILLER                  PIC X(7)   VALUE "sixty".        90/04/06
039300     02  FILLER                  PIC X(7)   VALUE "seventy".      90/04/06
039400     02  FILLER                  PIC X(7)   VALUE "eighty".       90/04/06
039500     02  FILLER                  PIC X(7)   VALUE "ninety".       90/04/06
039600 01  FILLER                      REDEFINES  EN-10-90.             90/02/16
039700     02  EN-NAME-10-90           PIC X(7)   OCCURS 9 TIMES.       90/02/16
039800                                                                  90/02/16
039900 01  EN-GROUP-NAMES.                                              90/02/16
040000     02  FILLER                  PIC X(8)   VALUE "million".      90/04/06
040100     02  FILLER                  PIC X(8)   VALUE "thousand".     90/04/06
040200     02  FILLER                  PIC X(8)   VALUE  SPACES.        90/02/16
040300 01  FILLER                      REDEFINES  EN-GROUP-NAMES.       90/02/16
040400     02  EN-GROUP-NAME           PIC X(8)   OCCURS 3 TIMES.       90/02/16
040500*#CASE FR FB ALL                                                  95/12/12
040600                                                                  90/02/16
040700 01  FR-10-90.                                                    90/02/16
040800     02  FILLER                  PIC X(13)  VALUE "dix".          90/04/06
040900     02  FILLER                  PIC X(13)  VALUE "vingt".        90/04/06
041000     02  FILLER                  PIC X(13)  VALUE "trente".       90/04/06
041100     02  FILLER                  PIC X(13)  VALUE "quarante".     90/04/06
041200     02  FILLER                  PIC X(13)  VALUE "cinquante".    90/04/06
041300     02  FILLER                  PIC X(13)  VALUE "soixante".     90/04/06
041400     02  FILLER                  PIC X(13)  VALUE "soixante".     90/04/06
041500     02  FILLER                  PIC X(13)  VALUE "quatre-vingt". 90/04/06
041600     02  FILLER                  PIC X(13)  VALUE "quatre-vingt". 90/04/06
041700 01  FILLER                      REDEFINES  FR-10-90.             90/02/16
041800     02  FR-NAME-10-90           PIC X(13)  OCCURS 9 TIMES.       90/02/16
041900*#CASE FR FB ALL                                                  95/12/12
042000                                                                  90/02/16
042100 01  FR-GROUP-NAMES.                                              90/02/16
042200     02  FILLER                  PIC X(7)   VALUE "million".      90/04/06
042300     02  FILLER                  PIC X(7)   VALUE "mille".        90/04/06
042400     02  FILLER                  PIC X(7)   VALUE  SPACES.        90/02/16
042500 01  FILLER                      REDEFINES  FR-GROUP-NAMES.       90/02/16
042600     02  FR-GROUP-NAME           PIC X(7)   OCCURS 3 TIMES.       90/02/16
042700*#CASE FB ALL                                                     95/12/12
042800                                                                  95/12/12
042900 01  FB-10-90.                                                    95/12/12
043000     02  FILLER                  PIC X(13)  VALUE "dix".          95/12/12
043100     02  FILLER                  PIC X(13)  VALUE "vingt".        95/12/12
043200     02  FILLER                  PIC X(13)  VALUE "trente".       95/12/12
043300     02  FILLER                  PIC X(13)  VALUE "quarante".     95/12/12
043400     02  FILLER                  PIC X(13)  VALUE "cinquante".    95/12/12
043500     02  FILLER                  PIC X(13)  VALUE "soixante".     95/12/12
043600     02  FILLER                  PIC X(13)  VALUE "septante".     95/12/12
043700     02  FILLER                  PIC X(13)  VALUE "quatre-vingt". 95/12/12
043800     02  FILLER                  PIC X(13)  VALUE "nonante".      95/12/12
043900 01  FILLER                      REDEFINES  FB-10-90.             95/12/12
044000     02  FB-NAME-10-90           PIC X(13)  OCCURS 9 TIMES.       95/12/12
044100*#CASE NL ALL                                                     95/12/12
044200                                                                  90/02/16
044300 01  NL-10-90.                                                    90/02/16
044400     02  FILLER                  PIC X(8)   VALUE "tien".         90/04/06
044500     02  FILLER                  PIC X(8)   VALUE "twintig".      90/04/06
044600     02  FILLER                  PIC X(8)   VALUE "dertig".       90/04/06
044700     02  FILLER                  PIC X(8)   VALUE "veertig".      90/04/06
044800     02  FILLER                  PIC X(8)   VALUE "vijftig".      90/04/06
044900     02  FILLER                  PIC X(8)   VALUE "zestig".       90/04/06
045000     02  FILLER                  PIC X(8)   VALUE "zeventig".     90/04/06
045100     02  FILLER                  PIC X(8)   VALUE "tachtig".      90/04/06
045200     02  FILLER                  PIC X(8)   VALUE "negentig".     90/04/06
045300 01  FILLER                      REDEFINES  NL-10-90.             90/02/16
045400     02  NL-NAME-10-90           PIC X(8)   OCCURS 9 TIMES.       90/02/16
045500                                                                  90/02/16
045600 01  NL-GROUP-NAMES.                                              90/02/16
045700     02  FILLER                  PIC X(7)   VALUE "Miljoen".      90/04/06
045800     02  FILLER                  PIC X(7)   VALUE "duizend".      90/04/06
045900     02  FILLER                  PIC X(7)   VALUE  SPACES.        90/02/16
046000 01  FILLER                      REDEFINES  NL-GROUP-NAMES.       90/02/16
046100     02  NL-GROUP-NAME           PIC X(7)   OCCURS 3 TIMES.       90/02/16
046200*#CASE PO ALL                                                     95/12/12
046300                                                                  90/02/16
046400 01  PO-10-90.                                                    90/02/16
046500     02  FILLER                  PIC X(9)   VALUE "dez".          90/04/06
046600     02  FILLER                  PIC X(9)   VALUE "vinte".        90/04/06
046700     02  FILLER                  PIC X(9)   VALUE "trinta".       90/04/06
046800     02  FILLER                  PIC X(9)   VALUE "quarenta".     90/04/06
046900     02  FILLER                  PIC X(9)   VALUE "cinquenta".    90/04/06
047000     02  FILLER                  PIC X(9)   VALUE "sessenta".     90/04/06
047100     02  FILLER                  PIC X(9)   VALUE "setenta".      90/04/06
047200     02  FILLER                  PIC X(9)   VALUE "oitenta".      90/04/06
047300     02  FILLER                  PIC X(9)   VALUE "noventa".      90/04/06
047400 01  FILLER                      REDEFINES  PO-10-90.             90/02/16
047500     02  PO-NAME-10-90           PIC X(9)   OCCURS 9 TIMES.       90/02/16
047600                                                                  90/02/16
047700 01  PO-100-900.                                                  90/02/16
047800     02  FILLER                  PIC X(12)  VALUE "cento".        90/04/06
047900     02  FILLER                  PIC X(12)  VALUE "duzentos".     90/04/06
048000     02  FILLER                  PIC X(12)  VALUE "trezentos".    90/04/06
048100     02  FILLER                  PIC X(12)  VALUE "quatrocentos". 90/04/06
048200     02  FILLER                  PIC X(12)  VALUE "quinhentos".   90/04/06
048300     02  FILLER                  PIC X(12)  VALUE "seiscentos".   90/04/06
048400     02  FILLER                  PIC X(12)  VALUE "setcentos".    90/04/06
048500     02  FILLER                  PIC X(12)  VALUE "oitocentos".   90/04/06
048600     02  FILLER                  PIC X(12)  VALUE "novecentos".   90/04/06
048700 01  FILLER                      REDEFINES  PO-100-900.           90/02/16
048800     02  PO-NAME-100-900         PIC X(12)  OCCURS 9 TIMES.       90/02/16
048900*#CASE ES ALL                                                     95/12/12
049000                                                                  90/02/16
049100 01  ES-10-90.                                                    90/02/16
049200     02  FILLER                  PIC X(9)   VALUE "diez".         90/04/06
049300     02  FILLER                  PIC X(9)   VALUE "veinti".       90/04/06
049400     02  FILLER                  PIC X(9)   VALUE "treinta".      90/04/06
049500     02  FILLER                  PIC X(9)   VALUE "cuarenta".     90/04/06
049600     02  FILLER                  PIC X(9)   VALUE "cincuenta".    90/04/06
049700     02  FILLER                  PIC X(9)   VALUE "sesenta".      90/04/06
049800     02  FILLER                  PIC X(9)   VALUE "setenta".      90/04/06
049900     02  FILLER                  PIC X(9)   VALUE "ochenta".      90/04/06
050000     02  FILLER                  PIC X(9)   VALUE "noventa".      90/04/06
050100 01  FILLER                      REDEFINES  ES-10-90.             90/02/16
050200     02  ES-NAME-10-90           PIC X(9)   OCCURS 9 TIMES.       90/02/16
050300                                                                  90/02/16
050400 01  ES-100-900.                                                  90/02/16
050500     02  FILLER                  PIC X(13)  VALUE "ciento".       90/04/06
050600     02  FILLER                  PIC X(13)  VALUE "doscientos".   90/04/06
050700     02  FILLER                  PIC X(13)  VALUE "trescientos".  90/04/06
050800     02  FILLER                  PIC X(13)  VALUE "cuatrocientos".90/04/06
050900     02  FILLER                  PIC X(13)  VALUE "quinientos".   90/04/06
051000     02  FILLER                  PIC X(13)  VALUE "seiscientos".  90/04/06
051100     02  FILLER                  PIC X(13)  VALUE "setecientos".  90/04/06
051200     02  FILLER                  PIC X(13)  VALUE "ochocientos".  90/04/06
051300     02  FILLER                  PIC X(13)  VALUE "novecientos".  90/04/06
051400 01  FILLER                      REDEFINES  ES-100-900.           90/02/16
051500     02  ES-NAME-100-900         PIC X(13)  OCCURS 9 TIMES.       90/02/16
051600*#CASE DE ALL                                                     95/12/12
051700                                                                  90/02/16
051800 01  DE-10-90.                                                    90/02/16
051900     02  FILLER                  PIC X(8)   VALUE "zehn".         90/04/06
052000     02  FILLER                  PIC X(8)   VALUE "zwanzig".      90/04/06
052100     02  FILLER                  PIC X(8)   VALUE "dreiig".      90/04/06
052200     02  FILLER                  PIC X(8)   VALUE "vierzig".      90/04/06
052300     02  FILLER                  PIC X(8)   VALUE "fnfzig".      90/04/06
052400     02  FILLER                  PIC X(8)   VALUE "sechzig".      90/04/06
052500     02  FILLER                  PIC X(8)   VALUE "siebzig".      90/04/06
052600     02  FILLER                  PIC X(8)   VALUE "achtzig".      90/04/06
052700     02  FILLER                  PIC X(8)   VALUE "neunzig".      90/04/06
052800 01  FILLER                      REDEFINES  DE-10-90.             90/02/16
052900     02  DE-NAME-10-90           PIC X(8)   OCCURS 9 TIMES.       90/02/16
053000*#CASE DA ALL                                                     95/12/12
053100                                                                  90/02/16
053200 01  DA-10-90.                                                    90/02/16
053300     02  FILLER                  PIC X(10)  VALUE "ti".           90/04/06
053400     02  FILLER                  PIC X(10)  VALUE "tyve".         90/04/06
053500     02  FILLER                  PIC X(10)  VALUE "tredive".      90/04/06
053600     02  FILLER                  PIC X(10)  VALUE "fyrre".        90/04/06
053700     02  FILLER                  PIC X(10)  VALUE "halvtreds".    90/04/06
053800     02  FILLER                  PIC X(10)  VALUE "treds".        90/04/06
053900     02  FILLER                  PIC X(10)  VALUE "halvfjerds".   90/04/06
054000     02  FILLER                  PIC X(10)  VALUE "firs".         90/04/06
054100     02  FILLER                  PIC X(10)  VALUE "halvfems".     90/04/06
054200 01  FILLER                      REDEFINES  DA-10-90.             90/02/16
054300     02  DA-NAME-10-90           PIC X(10)  OCCURS 9 TIMES.       90/02/16
054400*#CASE IT ALL                                                     95/12/12
054500                                                                  90/02/16
054600 01  IT-10-90.                                                    90/02/17
054700     02  FILLER                  PIC X(9)   VALUE "dieci".        90/04/06
054800     02  FILLER                  PIC X(9)   VALUE "venti".        90/04/06
054900     02  FILLER                  PIC X(9)   VALUE "trenta".       90/04/06
055000     02  FILLER                  PIC X(9)   VALUE "quaranta".     90/04/06
055100     02  FILLER                  PIC X(9)   VALUE "cinquanta".    90/04/06
055200     02  FILLER                  PIC X(9)   VALUE "sessanta".     90/04/06
055300     02  FILLER                  PIC X(9)   VALUE "settanta".     90/04/06
055400     02  FILLER                  PIC X(9)   VALUE "ottanta".      90/04/06
055500     02  FILLER                  PIC X(9)   VALUE "novanta".      90/04/06
055600 01  FILLER                      REDEFINES  IT-10-90.             90/02/17
055700     02  IT-NAME-10-90           PIC X(9)   OCCURS 9 TIMES.       90/02/17
055800*#CASE NO ALL                                                     95/12/12
055900                                                                  90/02/17
056000 01  NO-10-90.                                                    90/02/20
056100     02  FILLER                  PIC X(6)   VALUE "ti".           90/04/06
056200     02  FILLER                  PIC X(6)   VALUE "tyve".         90/04/06
056300     02  FILLER                  PIC X(6)   VALUE "tredve".       90/04/06
056400     02  FILLER                  PIC X(6)   VALUE "frti".        90/04/06
056500     02  FILLER                  PIC X(6)   VALUE "femti".        90/04/06
056600     02  FILLER                  PIC X(6)   VALUE "seksti".       90/04/06
056700     02  FILLER                  PIC X(6)   VALUE "sytti".        90/04/06
056800     02  FILLER                  PIC X(6)   VALUE "tti".         90/04/06
056900     02  FILLER                  PIC X(6)   VALUE "nitti".        90/04/06
057000 01  FILLER                      REDEFINES  NO-10-90.             90/02/20
057100     02  NO-NAME-10-90           PIC X(6)   OCCURS 9 TIMES.       90/02/20
057200*#CASE SV ALL                                                     95/12/12
057300                                                                  90/02/20
057400 01  SV-10-90.                                                    90/02/21
057500     02  FILLER                  PIC X(7)   VALUE "tio".          90/04/06
057600     02  FILLER                  PIC X(7)   VALUE "tjugo".        90/04/06
057700     02  FILLER                  PIC X(7)   VALUE "trettio".      90/04/06
057800     02  FILLER                  PIC X(7)   VALUE "fyrtio".       90/04/06
057900     02  FILLER                  PIC X(7)   VALUE "femtio".       90/04/06
058000     02  FILLER                  PIC X(7)   VALUE "sextio".       90/04/06
058100     02  FILLER                  PIC X(7)   VALUE "sjuttio".      90/04/06
058200     02  FILLER                  PIC X(7)   VALUE "ttio".        90/04/06
058300     02  FILLER                  PIC X(7)   VALUE "nittio".       90/04/06
058400 01  FILLER                      REDEFINES  SV-10-90.             90/02/21
058500     02  SV-NAME-10-90           PIC X(7)   OCCURS 9 TIMES.       90/02/21
058600*#CASE IS ALL                                                     95/12/12
058700                                                                  90/02/21
058800 01  IS-10-90.                                                    90/02/21
058900     02  FILLER                  PIC X(8)   VALUE "tiu".          90/04/06
059000     02  FILLER                  PIC X(8)   VALUE "tuttugu".      90/04/06
059100     02  FILLER                  PIC X(8)   VALUE "thrjatiu".     90/04/06
059200     02  FILLER                  PIC X(8)   VALUE "fjrutiu".     90/04/06
059300     02  FILLER                  PIC X(8)   VALUE "fumtiu".       90/04/06
059400     02  FILLER                  PIC X(8)   VALUE "sextiu".       90/04/06
059500     02  FILLER                  PIC X(8)   VALUE "sjtiu".       90/04/06
059600     02  FILLER                  PIC X(8)   VALUE "attatiu".      90/04/06
059700     02  FILLER                  PIC X(8)   VALUE "niutiu".       90/04/06
059800 01  FILLER                      REDEFINES  IS-10-90.             90/02/21
059900     02  IS-NAME-10-90           PIC X(8)   OCCURS 9 TIMES.       90/02/21
060000                                                                  90/02/21
060100 01  IS-NEUTER-01-04.                                             90/02/21
060200     02  FILLER                  PIC X(6)   VALUE "eitt".         90/04/06
060300     02  FILLER                  PIC X(6)   VALUE "tv".          90/04/06
060400     02  FILLER                  PIC X(6)   VALUE "thrju".        90/04/06
060500     02  FILLER                  PIC X(6)   VALUE "fjgur".       90/04/06
060600 01  FILLER                      REDEFINES  IS-NEUTER-01-04.      90/02/21
060700     02  IS-NEUT-01-04           PIC X(6)   OCCURS 4 TIMES.       90/02/21
060800*#END                                                             95/12/12
060900                                                                  90/02/21
061000 01  ROMAN-NUMERALS.                                              90/02/16
061100     02  FILLER                  PIC X(4)   VALUE "m".            95/12/12
061200     02  FILLER                  PIC S9(5)  VALUE +1000 COMP.     90/02/16
061300     02  FILLER                  PIC X(4)   VALUE "dm".           95/12/12
061400     02  FILLER                  PIC S9(5)  VALUE  +900 COMP.     90/02/16
061500     02  FILLER                  PIC X(4)   VALUE "d".            95/12/12
061600     02  FILLER                  PIC S9(5)  VALUE  +500 COMP.     90/02/16
061700     02  FILLER                  PIC X(4)   VALUE "cd".           95/12/12
061800     02  FILLER                  PIC S9(5)  VALUE  +400 COMP.     90/02/16
061900     02  FILLER                  PIC X(4)   VALUE "c".            95/12/12
062000     02  FILLER                  PIC S9(5)  VALUE  +100 COMP.     90/02/16
062100     02  FILLER                  PIC X(4)   VALUE "xc".           95/12/12
062200     02  FILLER                  PIC S9(5)  VALUE   +90 COMP.     90/02/16
062300     02  FILLER                  PIC X(4)   VALUE "l".            95/12/12
062400     02  FILLER                  PIC S9(5)  VALUE   +50 COMP.     90/02/16
062500     02  FILLER                  PIC X(4)   VALUE "xl".           95/12/12
062600     02  FILLER                  PIC S9(5)  VALUE   +40 COMP.     90/02/16
062700     02  FILLER                  PIC X(4)   VALUE "x".            95/12/12
062800     02  FILLER                  PIC S9(5)  VALUE   +10 COMP.     90/02/16
062900     02  FILLER                  PIC X(4)   VALUE "ix".           95/12/12
063000     02  FILLER                  PIC S9(5)  VALUE    +9 COMP.     90/02/16
063100     02  FILLER                  PIC X(4)   VALUE "v".            95/12/12
063200     02  FILLER                  PIC S9(5)  VALUE    +5 COMP.     90/02/16
063300     02  FILLER                  PIC X(4)   VALUE "iv".           95/12/12
063400     02  FILLER                  PIC S9(5)  VALUE    +4 COMP.     90/02/16
063500     02  FILLER                  PIC X(4)   VALUE "i".            95/12/12
063600     02  FILLER                  PIC S9(5)  VALUE    +1 COMP.     90/02/16
063700     02  FILLER                  PIC X(4)   VALUE SPACES.         90/02/16
063800     02  FILLER                  PIC S9(5)  VALUE  ZERO COMP.     90/02/16
063900 01  FILLER                      REDEFINES  ROMAN-NUMERALS.       90/02/16
064000     02  FILLER                             OCCURS 14 TIMES.      90/02/16
064100         03  ROMAN-TEXT          PIC X(4).                        90/02/16
064200         03  ROMAN-NUMERAL       PIC S9(5)  COMP.                 90/02/16
064300                                                                  90/02/16
064400 01  ALL-MONTHS-FOR-01-12.                                        90/04/04
064500*#CASE EN ALL                                                     95/12/12
064600     02  EN-MONTH-NAMES.                                          90/04/04
064700         03  FILLER              PIC X(9)   VALUE "January".      90/04/04
064800         03  FILLER              PIC X(9)   VALUE "February".     90/04/04
064900         03  FILLER              PIC X(9)   VALUE "March".        90/04/04
065000         03  FILLER              PIC X(9)   VALUE "April".        90/04/04
065100         03  FILLER              PIC X(9)   VALUE "May".          90/04/04
065200         03  FILLER              PIC X(9)   VALUE "June".         90/04/04
065300         03  FILLER              PIC X(9)   VALUE "July".         90/04/04
065400         03  FILLER              PIC X(9)   VALUE "August".       90/04/04
065500         03  FILLER              PIC X(9)   VALUE "September".    90/04/04
065600         03  FILLER              PIC X(9)   VALUE "October".      90/04/04
065700         03  FILLER              PIC X(9)   VALUE "November".     90/04/04
065800         03  FILLER              PIC X(9)   VALUE "December".     90/04/04
065900*#CASE FR FB ALL                                                  95/12/12
066000     02  FR-MONTH-NAMES.                                          90/04/04
066100         03  FILLER              PIC X(9)   VALUE "janvier".      90/04/04
066200         03  FILLER              PIC X(9)   VALUE "fevrier".      90/04/04
066300         03  FILLER              PIC X(9)   VALUE "mars".         90/04/04
066400         03  FILLER              PIC X(9)   VALUE "avril".        90/04/04
066500         03  FILLER              PIC X(9)   VALUE "mai".          90/04/04
066600         03  FILLER              PIC X(9)   VALUE "juin".         90/04/04
066700         03  FILLER              PIC X(9)   VALUE "juillet".      92/05/12
066800         03  FILLER              PIC X(9)   VALUE "aot".         90/04/04
066900         03  FILLER              PIC X(9)   VALUE "septembre".    90/04/04
067000         03  FILLER              PIC X(9)   VALUE "octobre".      90/04/04
067100         03  FILLER              PIC X(9)   VALUE "novembre".     90/04/04
067200         03  FILLER              PIC X(9)   VALUE "decembre".     90/04/04
067300*#CASE NL ALL                                                     95/12/12
067400     02  NL-MONTH-NAMES.                                          90/04/04
067500         03  FILLER              PIC X(9)   VALUE "januari".      90/04/04
067600         03  FILLER              PIC X(9)   VALUE "februari".     90/04/04
067700         03  FILLER              PIC X(9)   VALUE "mars".         90/04/04
067800         03  FILLER              PIC X(9)   VALUE "april".        90/04/04
067900         03  FILLER              PIC X(9)   VALUE "mei".          90/04/04
068000         03  FILLER              PIC X(9)   VALUE "juni".         90/04/04
068100         03  FILLER              PIC X(9)   VALUE "juli".         90/04/04
068200         03  FILLER              PIC X(9)   VALUE "augustus".     90/04/04
068300         03  FILLER              PIC X(9)   VALUE "september".    90/04/04
068400         03  FILLER              PIC X(9)   VALUE "oktober".      90/04/04
068500         03  FILLER              PIC X(9)   VALUE "november".     90/04/04
068600         03  FILLER              PIC X(9)   VALUE "december".     90/04/04
068700*#CASE PO ALL                                                     95/12/12
068800     02  PO-MONTH-NAMES.                                          90/04/04
068900         03  FILLER              PIC X(9)   VALUE "janeiro".      90/04/04
069000         03  FILLER              PIC X(9)   VALUE "fevereiro".    90/04/04
069100         03  FILLER              PIC X(9)   VALUE "maro".        90/04/04
069200         03  FILLER              PIC X(9)   VALUE "abril".        90/04/04
069300         03  FILLER              PIC X(9)   VALUE "maio".         90/04/04
069400         03  FILLER              PIC X(9)   VALUE "junho".        90/04/04
069500         03  FILLER              PIC X(9)   VALUE "julho".        90/04/04
069600         03  FILLER              PIC X(9)   VALUE "agosto".       90/04/04
069700         03  FILLER              PIC X(9)   VALUE "setembro".     90/04/04
069800         03  FILLER              PIC X(9)   VALUE "outubro".      90/04/04
069900         03  FILLER              PIC X(9)   VALUE "novembro".     90/04/04
070000         03  FILLER              PIC X(9)   VALUE "dezembro".     90/04/04
070100*#CASE ES ALL                                                     95/12/12
070200     02  ES-MONTH-NAMES.                                          90/04/04
070300         03  FILLER              PIC X(9)   VALUE "enero".        90/04/04
070400         03  FILLER              PIC X(9)   VALUE "febrero".      90/04/04
070500         03  FILLER              PIC X(9)   VALUE "marzo".        90/04/04
070600         03  FILLER              PIC X(9)   VALUE "abril".        90/04/04
070700         03  FILLER              PIC X(9)   VALUE "mayo".         90/04/04
070800         03  FILLER              PIC X(9)   VALUE "junio".        90/04/04
070900         03  FILLER              PIC X(9)   VALUE "julio".        90/04/04
071000         03  FILLER              PIC X(9)   VALUE "agosto".       90/04/04
071100         03  FILLER              PIC X(9)   VALUE "setiembre".    90/04/04
071200         03  FILLER              PIC X(9)   VALUE "octubre".      90/04/04
071300         03  FILLER              PIC X(9)   VALUE "noviembre".    90/04/04
071400         03  FILLER              PIC X(9)   VALUE "diciembre".    90/04/04
071500*#CASE DE ALL                                                     95/12/12
071600     02  DE-MONTH-NAMES.                                          90/04/04
071700         03  FILLER              PIC X(9)   VALUE "Januar".       90/04/04
071800         03  FILLER              PIC X(9)   VALUE "Februar".      90/04/04
071900         03  FILLER              PIC X(9)   VALUE "Marsch".       90/04/04
072000         03  FILLER              PIC X(9)   VALUE "April".        90/04/04
072100         03  FILLER              PIC X(9)   VALUE "Mai".          90/04/04
072200         03  FILLER              PIC X(9)   VALUE "Juni".         90/04/04
072300         03  FILLER              PIC X(9)   VALUE "Juli".         90/04/04
072400         03  FILLER              PIC X(9)   VALUE "August".       90/04/04
072500         03  FILLER              PIC X(9)   VALUE "September".    90/04/04
072600         03  FILLER              PIC X(9)   VALUE "Oktober".      90/04/04
072700         03  FILLER              PIC X(9)   VALUE "November".     90/04/04
072800         03  FILLER              PIC X(9)   VALUE "Dezember".     90/04/04
072900*#CASE DA ALL                                                     95/12/12
073000     02  DA-MONTH-NAMES.                                          90/04/04
073100         03  FILLER              PIC X(9)   VALUE "januar".       90/04/04
073200         03  FILLER              PIC X(9)   VALUE "februar".      90/04/04
073300         03  FILLER              PIC X(9)   VALUE "marts".        90/04/04
073400         03  FILLER              PIC X(9)   VALUE "april".        90/04/04
073500         03  FILLER              PIC X(9)   VALUE "maj".          90/04/04
073600         03  FILLER              PIC X(9)   VALUE "juni".         90/04/04
073700         03  FILLER              PIC X(9)   VALUE "juli".         90/04/04
073800         03  FILLER              PIC X(9)   VALUE "august".       90/04/04
073900         03  FILLER              PIC X(9)   VALUE "september".    90/04/04
074000         03  FILLER              PIC X(9)   VALUE "oktober".      90/04/04
074100         03  FILLER              PIC X(9)   VALUE "november".     90/04/04
074200         03  FILLER              PIC X(9)   VALUE "december".     90/04/04
074300*#CASE IT ALL                                                     95/12/12
074400     02  IT-MONTH-NAMES.                                          90/04/04
074500         03  FILLER              PIC X(9)   VALUE "gennaio".      90/04/04
074600         03  FILLER              PIC X(9)   VALUE "febbraio".     90/04/04
074700         03  FILLER              PIC X(9)   VALUE "marzo".        90/04/04
074800         03  FILLER              PIC X(9)   VALUE "aprile".       90/04/04
074900         03  FILLER              PIC X(9)   VALUE "maggio".       90/04/04
075000         03  FILLER              PIC X(9)   VALUE "giugno".       90/04/04
075100         03  FILLER              PIC X(9)   VALUE "luglio".       90/04/04
075200         03  FILLER              PIC X(9)   VALUE "agosto".       90/04/04
075300         03  FILLER              PIC X(9)   VALUE "settembre".    90/04/04
075400         03  FILLER              PIC X(9)   VALUE "ottobre".      90/04/04
075500         03  FILLER              PIC X(9)   VALUE "novembre".     90/04/04
075600         03  FILLER              PIC X(9)   VALUE "dicembre".     90/04/04
075700*#CASE NO ALL                                                     95/12/12
075800     02  NO-MONTH-NAMES.                                          90/04/04
075900         03  FILLER              PIC X(9)   VALUE "januar".       90/05/10
076000         03  FILLER              PIC X(9)   VALUE "februar".      90/05/10
076100         03  FILLER              PIC X(9)   VALUE "mars".         90/05/10
076200         03  FILLER              PIC X(9)   VALUE "april".        90/05/10
076300         03  FILLER              PIC X(9)   VALUE "mai".          90/05/10
076400         03  FILLER              PIC X(9)   VALUE "juni".         90/05/10
076500         03  FILLER              PIC X(9)   VALUE "juli".         90/05/10
076600         03  FILLER              PIC X(9)   VALUE "august".       90/05/10
076700         03  FILLER              PIC X(9)   VALUE "september".    90/05/10
076800         03  FILLER              PIC X(9)   VALUE "oktober".      90/05/10
076900         03  FILLER              PIC X(9)   VALUE "november".     90/05/10
077000         03  FILLER              PIC X(9)   VALUE "desember".     90/05/10
077100*#CASE SV ALL                                                     95/12/12
077200     02  SV-MONTH-NAMES.                                          90/04/04
077300         03  FILLER              PIC X(9)   VALUE "januari".      90/05/10
077400         03  FILLER              PIC X(9)   VALUE "februari".     90/05/10
077500         03  FILLER              PIC X(9)   VALUE "mars".         90/05/10
077600         03  FILLER              PIC X(9)   VALUE "april".        90/05/10
077700         03  FILLER              PIC X(9)   VALUE "maj".          90/05/10
077800         03  FILLER              PIC X(9)   VALUE "juni".         90/05/10
077900         03  FILLER              PIC X(9)   VALUE "juli".         90/05/10
078000         03  FILLER              PIC X(9)   VALUE "augusti".      90/05/10
078100         03  FILLER              PIC X(9)   VALUE "september".    90/05/10
078200         03  FILLER              PIC X(9)   VALUE "oktober".      90/05/10
078300         03  FILLER              PIC X(9)   VALUE "november".     90/05/10
078400         03  FILLER              PIC X(9)   VALUE "december".     90/05/10
078500*#CASE IS ALL                                                     95/12/12
078600     02  IS-MONTH-NAMES.                                          90/04/04
078700         03  FILLER              PIC X(9)   VALUE "januar".       90/05/10
078800         03  FILLER              PIC X(9)   VALUE "februar".      90/05/10
078900         03  FILLER              PIC X(9)   VALUE "marz".         90/05/10
079000         03  FILLER              PIC X(9)   VALUE "april".        90/05/10
079100         03  FILLER              PIC X(9)   VALUE "mai".          90/05/10
079200         03  FILLER              PIC X(9)   VALUE "juni".         90/05/10
079300         03  FILLER              PIC X(9)   VALUE "juli".         90/05/10
079400         03  FILLER              PIC X(9)   VALUE "agust".        90/05/10
079500         03  FILLER              PIC X(9)   VALUE "september".    90/05/10
079600         03  FILLER              PIC X(9)   VALUE "oktober".      90/05/10
079700         03  FILLER              PIC X(9)   VALUE "november".     90/05/10
079800         03  FILLER              PIC X(9)   VALUE "desember".     90/05/10
079900*#CASE ALL                                                        95/12/12
080000 01  FILLER                      REDEFINES  ALL-MONTHS-FOR-01-12. 90/04/04
080100     02  MONTHS-FOR-01-12        PIC X(108) OCCURS 11 TIMES.      90/04/04
080200*#CASE EN FR FB NL PO ES DE DA IT NO SV IS                        95/12/12
080300*01  FILLER                      REDEFINES  ALL-MONTHS-FOR-01-12. 95/12/12
080400*    02  MONTHS-FOR-01-12        PIC X(108) OCCURS  1 TIMES.      95/12/12
080500*                                                                 90/04/04
080600*#CASE ALL                                                        95/12/12
080700 01  DAY-MONTH-SEPARATORS.                                        90/04/04
080800     02  FILLER                  PIC X(11)  VALUE "     .. ...".  90/04/04
080900 01  FILLER                      REDEFINES  DAY-MONTH-SEPARATORS. 90/04/04
081000     02  DAY-MONTH-SEPARATOR     PIC X      OCCURS 11 TIMES.      90/04/04
081100*#CASE EN FR FB NL PO ES IT                                       95/12/12
081200*01  DAY-MONTH-SEPARATORS.                                        95/12/12
081300*    02  FILLER                  PIC X(1)   VALUE " ".            95/12/12
081400*01  FILLER                      REDEFINES  DAY-MONTH-SEPARATORS. 95/12/12
081500*    02  DAY-MONTH-SEPARATOR     PIC X      OCCURS  1 TIMES.      95/12/12
081600*#CASE DE DA NO SV IS                                             95/12/12
081700*01  DAY-MONTH-SEPARATORS.                                        95/12/12
081800*    02  FILLER                  PIC X(1)   VALUE ".".            95/12/12
081900*01  FILLER                      REDEFINES  DAY-MONTH-SEPARATORS. 95/12/12
082000*    02  DAY-MONTH-SEPARATOR     PIC X      OCCURS  1 TIMES.      95/12/12
082100*#END                                                             95/12/12
082200                                                                  90/04/04
082300 01  VARIOUS-CONSTANTS.                                           90/02/16
082400     02  MAX-CERTPK-CHAR         PIC S9(3)  COMP  VALUE +120.     90/02/16
082500                                                                  90/02/16
082600 01  BEGIN-DYNAMIC-STORAGE       PIC X(4)   VALUE "<ETK".         90/02/16
082700                                                                  90/02/16
082800 01  NAMES-10-20.                                                 90/02/17
082900     02  NAME-01-20              PIC X(11)  OCCURS 20 TIMES.      90/02/18
083000                                                                  90/02/17
083100 01  MONTHS-01-12.                                                90/04/04
083200     02  MONTH-01-12             PIC X(9)   OCCURS 12 TIMES.      90/04/04
083300                                                                  90/02/17
083400 01  VARIOUS-VALUES.                                              90/02/16
083500     02  GROUP-VALUE             PIC 9(3).                        90/02/16
083600     02  FILLER                  REDEFINES  GROUP-VALUE.          90/02/16
083700         03  GROUP-HUNDREDS      PIC 9.                           90/02/16
083800         03  GROUP-TENS-ONES     PIC 99.                          90/02/16
083900         03  FILLER              REDEFINES  GROUP-TENS-ONES.      90/02/16
084000             04  GROUP-TENS      PIC 9.                           90/02/16
084100             04  GROUP-ONES      PIC 9.                           90/02/16
084200     02  GROUP-TEXT.                                              90/02/16
084300         03  GROUP-CHAR          PIC X      OCCURS 80 TIMES.      90/02/16
084400     02  THE-NAME.                                                90/02/16
084500         03  THE-CHAR            PIC X      OCCURS 30 TIMES.      90/02/16
084600     02  FILLER                  REDEFINES  THE-NAME.             90/04/06
084700         03  FILLER              PIC X(3).                        90/04/06
084800         03  THE-NAME-4-30       PIC X(27).                       90/04/06
084900     02  CUR-CHAR                PIC X.                           90/02/21
085000     02  CUR-CHAR-2              PIC X.                           90/02/21
085100     02  NULL-STRING             PIC X(4).                        90/02/16
085200     02  DISPLAY-VALUE           PIC Z(8)9.                       90/02/17
085300     02  FILLER                  REDEFINES  DISPLAY-VALUE.        90/02/16
085400         03  DISPLAY-CHAR        PIC X      OCCURS 9 TIMES.       90/02/17
085500     02  FILLER                  REDEFINES  DISPLAY-VALUE.        90/02/17
085600         03  DISPLAY-DIGIT       PIC 9      OCCURS 9 TIMES.       90/02/17
085700     02  DISPLAY-DAY             PIC Z9.                          90/04/04
085800     02  DISPLAY-DAY-TEXT        REDEFINES  DISPLAY-DAY           90/04/04
085900                                 PIC X(2).                        90/04/04
086000     02  DISPLAY-YEAR            PIC Z(3)9.                       90/04/04
086100     02  DISPLAY-YEAR-TEXT       REDEFINES  DISPLAY-YEAR          90/04/04
086200                                 PIC X(4).                        90/04/04
086300     02  FILLER                  REDEFINES  DISPLAY-YEAR.         90/04/06
086400         03  FILLER              PIC X(2).                        90/04/06
086500         03  DISPLAY-YEAR-3-4    PIC X(2).                        90/04/06
086600                                                                  90/02/16
086700 01  VARIOUS-INDICES.                                             90/02/16
086800     02  FIRST-VALUE             PIC S9(9)  COMP.                 90/02/16
086900     02  LAST-VALUE              PIC S9(9)  COMP.                 90/02/16
087000     02  TEST-VALUE              PIC S9(9)  COMP.                 90/02/16
087100                                                                  90/02/16
087200     02  ROMAN-VALUE             PIC S9(9)  COMP.                 90/02/16
087300                                                                  90/02/16
087400     02  LANGUAGE-NBR            PIC S9(3)  COMP.                 90/02/17
087500     02  SCORE-NBR               PIC S9(3)  COMP.                 90/02/16
087600     02  GROUP-NBR               PIC S9(3)  COMP.                 90/02/16
087700     02  CHAR-NBR                PIC S9(3)  COMP.                 90/02/16
087800     02  DIGIT-NBR               PIC S9(3)  COMP.                 90/02/16
087900     02  CERTPK-CHAR-NBR         PIC S9(3)  COMP.                 90/02/16
088000     02  GROUP-CHAR-NBR          PIC S9(3)  COMP.                 90/02/16
088100     02  CUR-VALUE               PIC S9(3)  COMP.                 90/02/16
088200     02  CUR-HUNDREDS            PIC S9(3)  COMP.                 90/02/16
088300     02  CUR-TENS-ONES           PIC S9(3)  COMP.                 90/02/16
088400     02  CUR-TENS                PIC S9(3)  COMP.                 90/02/16
088500     02  CUR-ONES                PIC S9(3)  COMP.                 90/02/16
088600     02  RMN-INDEX               PIC S9(3)  COMP.                 90/02/16
088700     02  OUTPUT-GROUP            PIC S9(3)  COMP.                 90/02/16
088800     02  FIELD-MIN               PIC S9(3)  COMP.                 92/05/08
088900                                                                  90/02/16
089000 01  GROUP-STARTS.                                                90/02/16
089100     02  START-MILLIONS          PIC S9(3)  COMP.                 90/02/16
089200     02  START-THOUSANDS         PIC S9(3)  COMP.                 90/02/16
089300     02  START-HUNDREDS          PIC S9(3)  COMP.                 90/02/16
089400 01  FILLER                      REDEFINES  GROUP-STARTS.         90/02/16
089500     02  GROUP-START             PIC S9(3)  OCCURS 3 COMP.        90/02/16
089600                                                                  90/02/16
089700 01  CONVPK-CONTROL.                                              90/04/06
089800     02  CONVPK-TASK-ID          PIC X(4).                        90/04/06
089900     02  CONVPK-OPERATION        PIC X.                           90/04/06
090000     02  CONVPK-FEEDBACK         PIC X.                           90/04/06
090100     02  CONVPK-SIZE             PIC S9(3)  COMP.                 95/12/12
090200                                                                  90/04/06
090300 01  CONVPK-CHARS.                                                95/12/12
090400     02  CONVPK-CHAR             PIC X      OCCURS 81 TIMES.      90/04/06
090500                                                                  90/04/06
090600 01  CONVPK-VALUES.                                               95/12/12
090700     02  CONVPK-VALUE            PIC S9(3)  OCCURS 81 COMP.       90/04/06
090800                                                                  90/04/06
090900 LINKAGE SECTION.                                                 90/02/16
091000                                                                  90/02/16
091100 01  CERTPK-CONTROL.                                              90/02/16
091200     02  SESSION-TASK-ID         PIC X(4).                        90/02/16
091300     02  CERTPK-OPERATION        PIC X.                           90/02/16
091400         88  OP-CERTIFY-NUMBER              VALUE IS "C".         90/02/17
091500         88  OP-TALLY-NUMBER                VALUE IS "T".         90/02/17
091600         88  OP-CERTIFY-DATE                VALUE IS "D".         90/04/04
091700         88  OP-CERTIFY-MONTH               VALUE IS "M".         90/04/05
091800     02  CERTPK-LANGUAGE-MODE    PIC X.                           90/02/21
091900         88  USE-NATIONAL-CHARS             VALUE IS "N".         90/02/21
092000         88  USE-PORTABLE-CHARS             VALUE IS "P".         90/02/21
092100         88  UPPER-CASE-ROMAN-NUMERALS      VALUE IS "U".         95/12/12
092200     02  CERTPK-FEEDBACK         PIC X.                           90/02/16
092300     02  CERTPK-LANGUAGE         PIC X(2).                        90/02/16
092400     02  CERTPK-SIZE             PIC S9(3)  COMP.                 90/02/16
092500     02  CERTPK-NUMBER           PIC 9(9).                        90/02/16
092600     02  FILLER                  REDEFINES  CERTPK-NUMBER.        90/02/16
092700         03  CERTPK-GROUP        PIC 9(3)   OCCURS 3 TIMES.       90/02/16
092800     02  FILLER                  REDEFINES  CERTPK-NUMBER.        90/02/18
092900         03  FILLER              PIC 9(5).                        90/02/18
093000         03  CERTPK-CENTURY      PIC 9(2).                        90/02/18
093100         03  CERTPK-DECADES      PIC 9(2).                        90/02/18
093200     02  FILLER                  REDEFINES  CERTPK-NUMBER.        90/04/04
093300         03  FILLER              PIC X.                           90/04/04
093400         03  CERTPK-YEAR         PIC 9(4).                        90/04/04
093500         03  CERTPK-MONTH        PIC 9(2).                        90/04/04
093600         03  CERTPK-DAY          PIC 9(2).                        90/04/04
093700     02  CERTPK-DIGITS           PIC 9.                           92/05/12
093800                                                                  90/02/16
093900 01  CERTPK-CHARS.                                                95/12/12
094000     02  CERTPK-CHAR             PIC X      OCCURS 120 TIMES.     95/12/12
094100                                                                  90/02/16
094200 PROCEDURE DIVISION                                               90/02/16
094300     USING CERTPK-CONTROL                                         90/02/16
094400           CERTPK-CHARS.                                          95/12/12
094500 BEGIN-PROGRAM.                                                   90/02/16
094600     MOVE SESSION-TASK-ID                                         90/04/06
094700       TO  CONVPK-TASK-ID                                         90/04/06
094800                                                                  90/04/06
094900     MOVE  ZERO  TO CERTPK-CHAR-NBR                               90/02/17
095000     MOVE SPACES TO CERTPK-CHARS                                  95/12/12
095100     MOVE SPACES TO CERTPK-FEEDBACK                               90/02/17
095200                                                                  90/02/17
095300     IF OP-CERTIFY-NUMBER                                         90/02/17
095400         PERFORM CERTIFY-THE-NUMBER                               90/02/17
095500     ELSE                                                         90/02/17
095600     IF OP-TALLY-NUMBER                                           90/02/17
095700         PERFORM TALLY-THE-NUMBER                                 90/02/17
095800     ELSE                                                         90/02/17
095900     IF OP-CERTIFY-DATE                                           90/04/04
096000         PERFORM CERTIFY-THE-DATE                                 90/04/04
096100     ELSE                                                         90/04/04
096200     IF OP-CERTIFY-MONTH                                          90/04/04
096300         PERFORM CERTIFY-THE-MONTH                                90/04/04
096400     ELSE                                                         90/04/04
096500         MOVE "O" TO CERTPK-FEEDBACK                              90/02/16
096600     .                                                            90/02/16
096700 RETURN-TO-CALLER.                                                90/02/16
096800     EXIT PROGRAM                                                 90/02/16
096900     .                                                            90/02/16
097000                                                                  90/02/16
097100******************************************************************90/02/16
097200                                                                  90/02/16
097300 CERTIFY-THE-NUMBER.                                              90/02/17
097400     PERFORM CONVERT-NUMBER-TO-FULL-TEXT                          90/02/16
097500     PERFORM SHORTEN-NUMBER-IF-REQUIRED                           90/02/16
097600       VARYING GROUP-NBR FROM 3 BY -1                             90/02/16
097700         UNTIL GROUP-NBR = ZERO                                   90/02/16
097800            OR CERTPK-CHAR-NBR NOT > CERTPK-SIZE                  90/02/16
097900                                                                  90/04/06
098000     PERFORM UPPERCASE-FIRST-CHARACTER                            90/04/06
098100     .                                                            90/02/16
098200                                                                  90/02/16
098300 CONVERT-NUMBER-TO-FULL-TEXT.                                     90/02/16
098400     IF CERTPK-LANGUAGE = "EN" OR "3"                             90/02/16
098500         PERFORM EN-NUMBER-TO-TEXT-CONVERSION                     90/02/16
098600     ELSE                                                         90/02/16
098700     IF CERTPK-LANGUAGE = "FR" OR "1"                             90/02/16
098800         PERFORM FR-NUMBER-TO-TEXT-CONVERSION                     90/02/16
098900     ELSE                                                         90/02/16
099000     IF CERTPK-LANGUAGE = "NL" OR "2"                             90/02/16
099100         PERFORM NL-NUMBER-TO-TEXT-CONVERSION                     90/02/16
099200     ELSE                                                         90/02/16
099300     IF CERTPK-LANGUAGE = "DE" OR "5"                             90/02/16
099400         PERFORM DE-NUMBER-TO-TEXT-CONVERSION                     90/02/16
099500     ELSE                                                         90/02/16
099600     IF CERTPK-LANGUAGE = "ES" OR "6"                             90/02/16
099700         PERFORM ES-NUMBER-TO-TEXT-CONVERSION                     90/02/16
099800     ELSE                                                         90/02/16
099900     IF CERTPK-LANGUAGE = "IT" OR "4"                             90/02/16
100000         PERFORM IT-NUMBER-TO-TEXT-CONVERSION                     90/02/16
100100     ELSE                                                         90/02/16
100200     IF CERTPK-LANGUAGE = "PO"                                    90/02/16
100300         PERFORM PO-NUMBER-TO-TEXT-CONVERSION                     90/02/16
100400     ELSE                                                         90/02/16
100500     IF CERTPK-LANGUAGE = "FB"                                    90/02/23
100600         PERFORM FB-NUMBER-TO-TEXT-CONVERSION                     90/02/23
100700     ELSE                                                         90/02/16
100800     IF CERTPK-LANGUAGE = "DA"                                    90/02/16
100900         PERFORM DA-NUMBER-TO-TEXT-CONVERSION                     90/02/16
101000     ELSE                                                         90/02/16
101100     IF CERTPK-LANGUAGE = "NO"                                    90/02/20
101200         PERFORM NO-NUMBER-TO-TEXT-CONVERSION                     90/02/20
101300     ELSE                                                         90/02/20
101400     IF CERTPK-LANGUAGE = "SV"                                    90/02/21
101500         PERFORM SV-NUMBER-TO-TEXT-CONVERSION                     90/02/21
101600     ELSE                                                         90/02/21
101700     IF CERTPK-LANGUAGE = "IS"                                    90/02/21
101800         PERFORM IS-NUMBER-TO-TEXT-CONVERSION                     90/02/21
101900     ELSE                                                         90/02/21
102000     IF CERTPK-LANGUAGE = "RM"                                    90/02/16
102100         PERFORM RM-NUMBER-TO-TEXT-CONVERSION                     90/02/16
102200     ELSE                                                         90/02/16
102300         MOVE "LANGUAGE" TO CERTPK-FEEDBACK                       90/02/16
102400     .                                                            90/02/16
102500     IF CERTPK-CHARS = SPACES                                     95/12/12
102600         MOVE NULL-STRING TO CERTPK-CHARS                         95/12/12
102700     .                                                            90/02/16
102800                                                                  90/02/16
102900 UPPERCASE-FIRST-CHARACTER.                                       90/04/06
103000     IF CERTPK-LANGUAGE NOT = "RM"                                95/12/12
103100         MOVE 1 TO CONVPK-SIZE                                    95/12/12
103200         PERFORM CONVERT-TO-UPPER-CASE                            95/12/12
103300         MOVE CONVPK-CHAR (1) TO CERTPK-CHAR (1)                  95/12/12
103400     ELSE                                                         95/12/12
103500     IF UPPER-CASE-ROMAN-NUMERALS                                 95/12/12
103600         MOVE 81 TO CONVPK-SIZE                                   95/12/12
103700         PERFORM CONVERT-TO-UPPER-CASE                            95/12/12
103800         MOVE CONVPK-CHARS TO CERTPK-CHARS                        95/12/12
103900     .                                                            95/12/12
104000                                                                  90/04/06
104100 CONVERT-TO-UPPER-CASE.                                           95/12/12
104200     MOVE CERTPK-CHARS TO CONVPK-CHARS                            95/12/12
104300     MOVE    "UPPER"   TO CONVPK-OPERATION                        95/12/12
104400     MOVE      "."     TO CONVPK-FEEDBACK                         95/12/12
104500     PERFORM CALL-CONVPK                                          95/12/12
104600     .                                                            95/12/12
104700                                                                  95/12/12
104800 CALL-CONVPK.                                                     90/04/06
104900     CALL "CONVPK"                                                90/04/06
105000         USING CONVPK-CONTROL                                     90/04/06
105100               CONVPK-CHARS                                       95/12/12
105200               CONVPK-VALUES                                      95/12/12
105300     .                                                            90/04/06
105400                                                                  90/04/06
105500******************************************************************90/02/16
105600                                                                  90/02/16
105700 EN-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
105800*#CASE EN ALL                                                     95/12/12
105900     MOVE EN-NULL-NAME TO NULL-STRING                             90/02/20
106000     PERFORM EN-CONVERT-NUMBER-GROUP                              90/02/16
106100       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
106200         UNTIL GROUP-NBR > 3                                      90/02/16
106300     .                                                            90/02/16
106400                                                                  90/02/16
106500 EN-CONVERT-NUMBER-GROUP.                                         90/02/16
106600     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
106700     IF CUR-VALUE > ZERO                                          90/02/16
106800         PERFORM EN-CONVERT-GROUP-TO-TEXT                         90/02/16
106900         PERFORM EN-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
107000         PERFORM APPEND-GROUP-TO-STRING-DELIM                     90/02/16
107100         PERFORM EN-APPEND-GROUP-NAME                             90/02/16
107200     .                                                            90/02/16
107300                                                                  90/02/16
107400 EN-CONVERT-GROUP-TO-TEXT.                                        90/02/16
107500     IF CUR-HUNDREDS > ZERO                                       90/02/16
107600         PERFORM EN-OUTPUT-GROUP-HUNDREDS                         90/02/16
107700     .                                                            90/02/16
107800     IF CUR-TENS-ONES > ZERO                                      90/02/16
107900         PERFORM EN-OUTPUT-GROUP-TENS-ONES                        90/02/16
108000     .                                                            90/02/16
108100                                                                  90/02/16
108200 EN-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
108300     MOVE EN-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME                90/02/17
108400     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
108500     MOVE "hundred" TO THE-NAME                                   90/04/06
108600     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
108700                                                                  90/02/16
108800     IF CUR-TENS-ONES > ZERO                                      90/02/16
108900         ADD    1   TO GROUP-CHAR-NBR                             90/02/16
109000         MOVE "and" TO THE-NAME                                   90/04/06
109100         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
109200     .                                                            90/02/16
109300                                                                  95/12/12
109400 EN-OUTPUT-GROUP-TENS-ONES.                                       95/12/12
109500     IF CUR-TENS-ONES < 20                                        95/12/12
109600         MOVE EN-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           95/12/12
109700         PERFORM APPEND-NAME-TO-GROUP                             95/12/12
109800     ELSE                                                         95/12/12
109900         MOVE EN-NAME-10-90 (CUR-TENS) TO THE-NAME                95/12/12
110000         PERFORM APPEND-NAME-TO-GROUP                             95/12/12
110100         IF CUR-ONES > ZERO                                       95/12/12
110200             PERFORM APPEND-HYPHEN-TO-GROUP                       95/12/12
110300             MOVE EN-NAME-01-20 (CUR-ONES) TO THE-NAME            95/12/12
110400             PERFORM APPEND-NAME-TO-GROUP                         95/12/12
110500     .                                                            95/12/12
110600                                                                  95/12/12
110700 EN-OUTPUT-GROUP-PREFIX-AS-REQD.                                  95/12/12
110800     IF GROUP-NBR = 3                                             95/12/12
110900         IF  CUR-VALUE < 100                                      95/12/12
111000         AND CERTPK-CHAR-NBR > ZERO                               95/12/12
111100             MOVE "and" TO THE-NAME                               95/12/12
111200             PERFORM APPEND-NAME-TO-STRING-DELIM                  95/12/12
111300     .                                                            95/12/12
111400                                                                  95/12/12
111500 EN-APPEND-GROUP-NAME.                                            95/12/12
111600     MOVE EN-GROUP-NAME (GROUP-NBR) TO THE-NAME                   95/12/12
111700     PERFORM APPEND-NAME-TO-STRING-DELIM                          95/12/12
111800     .                                                            95/12/12
111900*#ELSE                                                            95/12/12
112000*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
112100*    .                                                            95/12/12
112200*#END                                                             95/12/12
112300                                                                  90/02/16
112400 GET-CUR-GROUP-VALUES.                                            95/12/12
112500     MOVE CERTPK-GROUP (GROUP-NBR) TO GROUP-VALUE                 95/12/12
112600     MOVE GROUP-VALUE     TO CUR-VALUE                            95/12/12
112700     MOVE GROUP-HUNDREDS  TO CUR-HUNDREDS                         95/12/12
112800     MOVE GROUP-TENS-ONES TO CUR-TENS-ONES                        95/12/12
112900     MOVE GROUP-TENS      TO CUR-TENS                             95/12/12
113000     MOVE GROUP-ONES      TO CUR-ONES                             95/12/12
113100     MOVE CERTPK-CHAR-NBR TO GROUP-START (GROUP-NBR)              95/12/12
113200     MOVE  ZERO           TO GROUP-CHAR-NBR                       95/12/12
113300     MOVE SPACES          TO GROUP-TEXT                           95/12/12
113400     .                                                            95/12/12
113500                                                                  95/12/12
113600 APPEND-NAME-TO-GROUP-DELIM.                                      90/02/16
113700     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
113800     ADD 1 TO GROUP-CHAR-NBR                                      90/02/16
113900     .                                                            90/02/16
114000                                                                  90/02/16
114100 APPEND-NAME-TO-GROUP.                                            90/02/16
114200     PERFORM APPEND-CHAR-TO-GROUP                                 90/02/16
114300       VARYING CHAR-NBR FROM 1 BY 1                               90/02/16
114400         UNTIL THE-CHAR (CHAR-NBR) = SPACE                        90/02/16
114500     .                                                            90/02/16
114600                                                                  90/02/16
114700 APPEND-CHAR-TO-GROUP.                                            90/02/16
114800     MOVE THE-CHAR (CHAR-NBR) TO CUR-CHAR                         90/02/21
114900     IF USE-NATIONAL-CHARS                                        90/02/21
115000         PERFORM APPEND-CUR-CHAR-TO-GROUP                         90/02/21
115100     ELSE                                                         90/02/21
115200         PERFORM CONVERT-CUR-CHAR-AS-REQD                         90/02/21
115300         PERFORM APPEND-CUR-CHAR-TO-GROUP                         90/02/21
115400         IF CUR-CHAR-2 > SPACE                                    90/02/21
115500             MOVE CUR-CHAR-2 TO CUR-CHAR                          90/02/21
115600             PERFORM APPEND-CUR-CHAR-TO-GROUP                     90/02/21
115700     .                                                            90/02/21
115800                                                                  90/02/21
115900 CONVERT-CUR-CHAR-AS-REQD.                                        90/02/21
116000     MOVE SPACE TO CUR-CHAR-2                                     90/02/21
116100     IF CUR-CHAR = ""                                            90/04/06
116200         MOVE "a" TO CUR-CHAR                                     90/04/06
116300         MOVE "a" TO CUR-CHAR-2                                   90/04/06
116400     ELSE                                                         90/02/21
116500     IF CUR-CHAR = "" OR ""                                     90/04/06
116600         MOVE "o" TO CUR-CHAR                                     90/04/06
116700         MOVE "e" TO CUR-CHAR-2                                   90/04/06
116800     ELSE                                                         90/02/21
116900     IF CUR-CHAR = ""                                            90/04/06
117000         MOVE "u" TO CUR-CHAR                                     90/04/06
117100         MOVE "e" TO CUR-CHAR-2                                   90/04/06
117200     ELSE                                                         90/02/21
117300     IF CUR-CHAR = ""                                            90/04/04
117400         MOVE "u" TO CUR-CHAR                                     90/04/06
117500     ELSE                                                         90/04/04
117600     IF CUR-CHAR = ""                                            90/04/04
117700         MOVE "c" TO CUR-CHAR                                     90/04/06
117800     ELSE                                                         90/04/06
117900     IF CUR-CHAR = "" OR ""                                     90/04/06
118000         MOVE "a" TO CUR-CHAR                                     90/04/06
118100         MOVE "e" TO CUR-CHAR-2                                   90/04/06
118200     ELSE                                                         90/04/06
118300     IF CUR-CHAR = ""                                            90/04/06
118400         MOVE "s" TO CUR-CHAR                                     90/04/06
118500         MOVE "s" TO CUR-CHAR-2                                   90/04/06
118600     .                                                            90/02/16
118700                                                                  90/02/16
118800 APPEND-CUR-CHAR-TO-GROUP.                                        90/02/21
118900     IF GROUP-CHAR-NBR < 80                                       90/02/21
119000         ADD 1 TO GROUP-CHAR-NBR                                  90/02/21
119100         MOVE CUR-CHAR TO GROUP-CHAR (GROUP-CHAR-NBR)             90/02/21
119200     .                                                            90/02/21
119300                                                                  90/02/21
119400 APPEND-HYPHEN-TO-GROUP.                                          90/02/16
119500     MOVE "-" TO CUR-CHAR                                         90/02/21
119600     PERFORM APPEND-CUR-CHAR-TO-GROUP                             90/02/21
119700     .                                                            90/02/16
119800                                                                  90/02/16
119900 APPEND-NAME-TO-STRING-DELIM.                                     90/02/16
120000     PERFORM APPEND-NAME-TO-STRING                                90/02/16
120100     ADD 1 TO CERTPK-CHAR-NBR                                     90/02/16
120200     .                                                            90/02/16
120300                                                                  90/02/16
120400 APPEND-NAME-TO-STRING.                                           90/02/16
120500     PERFORM APPEND-CHAR-TO-STRING                                90/02/16
120600       VARYING CHAR-NBR FROM 1 BY 1                               90/02/16
120700         UNTIL THE-CHAR (CHAR-NBR) = SPACE                        90/02/16
120800     .                                                            90/02/16
120900                                                                  90/02/16
121000 APPEND-CHAR-TO-STRING.                                           90/02/16
121100     MOVE THE-CHAR (CHAR-NBR) TO CUR-CHAR                         90/02/21
121200     IF USE-NATIONAL-CHARS                                        90/02/21
121300         PERFORM APPEND-CUR-CHAR-TO-STRING                        90/02/21
121400     ELSE                                                         90/02/21
121500         PERFORM CONVERT-CUR-CHAR-AS-REQD                         90/02/21
121600         PERFORM APPEND-CUR-CHAR-TO-STRING                        90/02/21
121700         IF CUR-CHAR-2 > SPACE                                    90/02/21
121800             MOVE CUR-CHAR-2 TO CUR-CHAR                          90/02/21
121900             PERFORM APPEND-CUR-CHAR-TO-STRING                    90/02/21
122000     .                                                            90/02/21
122100                                                                  90/02/21
122200 APPEND-CUR-CHAR-TO-STRING.                                       90/02/21
122300     IF CERTPK-CHAR-NBR < MAX-CERTPK-CHAR                         90/02/16
122400         ADD 1 TO CERTPK-CHAR-NBR                                 90/02/16
122500         MOVE CUR-CHAR TO CERTPK-CHAR (CERTPK-CHAR-NBR)           90/02/21
122600     .                                                            90/02/16
122700                                                                  90/02/16
122800 APPEND-GROUP-TO-STRING-DELIM.                                    90/02/16
122900     PERFORM APPEND-GROUP-TO-STRING                               90/02/16
123000     ADD 1 TO CERTPK-CHAR-NBR                                     90/02/16
123100     .                                                            90/02/16
123200                                                                  90/02/16
123300 APPEND-GROUP-TO-STRING.                                          90/02/16
123400     PERFORM APPEND-GROUP-CHAR-TO-STRING                          90/02/16
123500       VARYING CHAR-NBR FROM 1 BY 1                               90/02/16
123600         UNTIL CHAR-NBR > GROUP-CHAR-NBR                          90/02/16
123700     .                                                            90/02/16
123800                                                                  90/02/16
123900 APPEND-GROUP-CHAR-TO-STRING.                                     90/02/16
124000     IF CERTPK-CHAR-NBR < MAX-CERTPK-CHAR                         90/02/16
124100         ADD 1 TO CERTPK-CHAR-NBR                                 90/02/16
124200         MOVE GROUP-CHAR  (CHAR-NBR)                              90/02/16
124300           TO CERTPK-CHAR (CERTPK-CHAR-NBR)                       90/02/16
124400     .                                                            90/02/16
124500                                                                  90/02/16
124600******************************************************************90/02/16
124700                                                                  90/02/16
124800 FR-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
124900*#CASE FR ALL                                                     95/12/12
125000     MOVE FR-NULL-NAME TO NULL-STRING                             90/02/20
125100     PERFORM FR-CONVERT-NUMBER-GROUP                              90/02/16
125200       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
125300         UNTIL GROUP-NBR > 3                                      90/02/16
125400     .                                                            90/02/16
125500*#ELSE                                                            95/12/12
125600*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
125700*    .                                                            95/12/12
125800*#END                                                             95/12/12
125900*#CASE FR FB ALL                                                  95/12/12
126000                                                                  95/12/12
126100 FR-CONVERT-NUMBER-GROUP.                                         90/02/16
126200     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
126300     IF CUR-VALUE > ZERO                                          90/02/16
126400         PERFORM FR-CONVERT-GROUP-TO-TEXT                         90/02/16
126500         PERFORM FR-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
126600         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
126700         PERFORM FR-APPEND-GROUP-NAME                             90/02/16
126800     .                                                            90/02/16
126900                                                                  90/02/16
127000 FR-CONVERT-GROUP-TO-TEXT.                                        90/02/16
127100     IF CUR-HUNDREDS > ZERO                                       90/02/16
127200         PERFORM FR-OUTPUT-GROUP-HUNDREDS                         90/02/16
127300     .                                                            90/02/16
127400     IF CUR-TENS-ONES > ZERO                                      90/02/16
127500         PERFORM FR-OUTPUT-GROUP-TENS-ONES                        90/02/16
127600     .                                                            90/02/16
127700                                                                  90/02/16
127800 FR-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
127900     IF CUR-HUNDREDS = 1                                          90/02/16
128000         MOVE "cent" TO THE-NAME                                  90/04/06
128100     ELSE                                                         90/02/16
128200         MOVE FR-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/17
128300         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
128400         IF CUR-TENS-ONES > ZERO                                  90/02/16
128500         OR GROUP-NBR < 3                                         90/02/16
128600             MOVE "cent"  TO THE-NAME                             90/04/06
128700         ELSE                                                     90/02/16
128800             MOVE "cents" TO THE-NAME                             90/04/06
128900     .                                                            90/02/16
129000     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
129100     .                                                            90/02/16
129200                                                                  90/02/16
129300 FR-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
129400     IF CUR-TENS-ONES < 20                                        90/02/16
129500         MOVE FR-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/17
129600         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
129700     ELSE                                                         90/02/16
129800         PERFORM FR-OUTPUT-GROUP-TENS                             90/02/16
129900         IF CUR-TENS-ONES < 70                                    90/02/16
130000             PERFORM FR-OUTPUT-NORMAL-ONES                        90/02/16
130100         ELSE                                                     90/02/16
130200         IF CUR-TENS-ONES > 69                                    90/02/16
130300             PERFORM FR-OUTPUT-SCORED-ONES                        90/02/16
130400     .                                                            90/02/16
130500                                                                  90/02/16
130600 FR-OUTPUT-GROUP-TENS.                                            90/02/16
130700     MOVE FR-NAME-10-90 (CUR-TENS) TO THE-NAME                    90/02/16
130800     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
130900     IF CUR-TENS-ONES = 21 OR 31 OR 41 OR 51 OR 61 OR 71          90/02/16
131000         ADD 1 TO GROUP-CHAR-NBR                                  90/02/16
131100         MOVE "et" TO THE-NAME                                    90/04/06
131200         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
131300     ELSE                                                         90/02/16
131400     IF CUR-ONES > ZERO                                           90/02/16
131500     OR CUR-TENS-ONES = 70 OR 90                                  90/02/16
131600         PERFORM APPEND-HYPHEN-TO-GROUP                           90/02/16
131700     ELSE                                                         90/02/16
131800     IF CUR-TENS-ONES NOT = 80                                    90/02/16
131900         ADD 1 TO GROUP-CHAR-NBR                                  90/02/16
132000     .                                                            90/02/16
132100                                                                  90/02/16
132200 FR-OUTPUT-NORMAL-ONES.                                           90/02/16
132300     IF CUR-ONES > ZERO                                           90/02/16
132400         MOVE FR-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/17
132500         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
132600     .                                                            90/02/16
132700                                                                  90/02/16
132800 FR-OUTPUT-SCORED-ONES.                                           90/02/16
132900     COMPUTE SCORE-NBR = CUR-TENS-ONES - 60                       90/02/16
133000     IF SCORE-NBR > 19                                            90/02/16
133100         COMPUTE SCORE-NBR = SCORE-NBR - 20                       90/02/16
133200     .                                                            90/02/16
133300     IF SCORE-NBR > ZERO                                          90/02/16
133400         MOVE FR-NAME-01-20 (SCORE-NBR) TO THE-NAME               90/02/17
133500         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
133600     ELSE                                                         90/02/16
133700     IF CUR-TENS-ONES = 80                                        90/02/16
133800         MOVE "s" TO THE-NAME                                     90/04/06
133900         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
134000     .                                                            90/02/16
134100                                                                  90/02/16
134200 FR-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
134300     PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                        90/02/21
134400     .                                                            90/02/16
134500                                                                  90/02/16
134600 FR-APPEND-GROUP-NAME.                                            90/02/16
134700     MOVE FR-GROUP-NAME (GROUP-NBR) TO THE-NAME                   90/02/16
134800     PERFORM APPEND-NAME-TO-STRING                                90/02/16
134900     IF  GROUP-NBR = 1                                            90/02/16
135000     AND CUR-VALUE > 1                                            90/02/16
135100         MOVE "s" TO THE-NAME                                     90/04/06
135200         PERFORM APPEND-NAME-TO-STRING                            90/02/16
135300     .                                                            90/02/16
135400     ADD 1 TO CERTPK-CHAR-NBR                                     90/02/16
135500     .                                                            90/02/16
135600*#END                                                             95/12/12
135700                                                                  95/12/12
135800 RMV-PREFIX-IF-SINGLE-THOUSAND.                                   95/12/12
135900     IF  GROUP-NBR = 2                                            95/12/12
136000     AND CUR-VALUE = 1                                            95/12/12
136100         MOVE ZERO TO GROUP-CHAR-NBR                              95/12/12
136200     .                                                            95/12/12
136300                                                                  95/12/12
136400******************************************************************95/12/12
136500                                                                  95/12/12
136600 FB-NUMBER-TO-TEXT-CONVERSION.                                    95/12/12
136700*#CASE FB ALL                                                     95/12/12
136800     MOVE FR-NULL-NAME TO NULL-STRING                             95/12/12
136900     PERFORM FB-CONVERT-NUMBER-GROUP                              95/12/12
137000       VARYING GROUP-NBR FROM 1 BY 1                              95/12/12
137100         UNTIL GROUP-NBR > 3                                      95/12/12
137200     .                                                            95/12/12
137300                                                                  95/12/12
137400 FB-CONVERT-NUMBER-GROUP.                                         95/12/12
137500     PERFORM GET-CUR-GROUP-VALUES                                 95/12/12
137600     IF CUR-VALUE > ZERO                                          95/12/12
137700         PERFORM FB-CONVERT-GROUP-TO-TEXT                         95/12/12
137800         PERFORM FR-OUTPUT-GROUP-PREFIX-AS-REQD                   95/12/12
137900         PERFORM APPEND-GROUP-TO-STRING                           95/12/12
138000         PERFORM FR-APPEND-GROUP-NAME                             95/12/12
138100     .                                                            95/12/12
138200                                                                  95/12/12
138300 FB-CONVERT-GROUP-TO-TEXT.                                        95/12/12
138400     IF CUR-HUNDREDS > ZERO                                       95/12/12
138500         PERFORM FR-OUTPUT-GROUP-HUNDREDS                         95/12/12
138600     .                                                            95/12/12
138700     IF CUR-TENS-ONES > ZERO                                      95/12/12
138800         PERFORM FB-OUTPUT-GROUP-TENS-ONES                        95/12/12
138900     .                                                            95/12/12
139000                                                                  95/12/12
139100 FB-OUTPUT-GROUP-TENS-ONES.                                       95/12/12
139200     IF CUR-TENS-ONES < 20                                        95/12/12
139300         MOVE FR-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           95/12/12
139400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       95/12/12
139500     ELSE                                                         95/12/12
139600         PERFORM FB-OUTPUT-GROUP-TENS                             95/12/12
139700         PERFORM FR-OUTPUT-NORMAL-ONES                            95/12/12
139800     .                                                            95/12/12
139900                                                                  95/12/12
140000 FB-OUTPUT-GROUP-TENS.                                            95/12/12
140100     MOVE FB-NAME-10-90 (CUR-TENS) TO THE-NAME                    95/12/12
140200     PERFORM APPEND-NAME-TO-GROUP                                 95/12/12
140300     IF CUR-TENS-ONES = 21 OR 31 OR 41 OR 51 OR 61 OR 71          95/12/12
140400         ADD 1 TO GROUP-CHAR-NBR                                  95/12/12
140500         MOVE "et" TO THE-NAME                                    95/12/12
140600         PERFORM APPEND-NAME-TO-GROUP-DELIM                       95/12/12
140700     ELSE                                                         95/12/12
140800     IF CUR-ONES > ZERO                                           95/12/12
140900         PERFORM APPEND-HYPHEN-TO-GROUP                           95/12/12
141000     ELSE                                                         95/12/12
141100     IF CUR-TENS-ONES = 80                                        95/12/12
141200         MOVE "s" TO THE-NAME                                     95/12/12
141300         PERFORM APPEND-NAME-TO-GROUP-DELIM                       95/12/12
141400     ELSE                                                         95/12/12
141500         ADD 1 TO GROUP-CHAR-NBR                                  95/12/12
141600     .                                                            95/12/12
141700*#ELSE                                                            95/12/12
141800*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
141900*    .                                                            95/12/12
142000*#END                                                             95/12/12
142100                                                                  95/12/12
142200******************************************************************90/02/16
142300                                                                  90/02/16
142400 NL-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
142500*#CASE NL ALL                                                     95/12/12
142600     MOVE NL-NULL-NAME TO NULL-STRING                             90/02/20
142700     PERFORM NL-CONVERT-NUMBER-GROUP                              90/02/16
142800       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
142900         UNTIL GROUP-NBR > 3                                      90/02/16
143000     .                                                            90/02/16
143100                                                                  90/02/16
143200 NL-CONVERT-NUMBER-GROUP.                                         90/02/16
143300     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
143400     IF CUR-VALUE > ZERO                                          90/02/16
143500         PERFORM NL-CONVERT-GROUP-TO-TEXT                         90/02/16
143600         PERFORM NL-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
143700         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
143800         PERFORM NL-APPEND-GROUP-NAME                             90/02/16
143900     .                                                            90/02/16
144000                                                                  90/02/16
144100 NL-CONVERT-GROUP-TO-TEXT.                                        90/02/16
144200     IF CUR-HUNDREDS > ZERO                                       90/02/16
144300         PERFORM NL-OUTPUT-GROUP-HUNDREDS                         90/02/16
144400     .                                                            90/02/16
144500     PERFORM NL-OUTPUT-GROUP-SEPARATOR                            90/02/16
144600     IF CUR-TENS-ONES > ZERO                                      90/02/16
144700         PERFORM NL-OUTPUT-GROUP-TENS-ONES                        90/02/16
144800     .                                                            90/02/16
144900                                                                  90/02/16
145000 NL-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
145100     IF CUR-HUNDREDS > 1                                          90/02/16
145200         MOVE NL-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/17
145300         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
145400     .                                                            90/02/16
145500     MOVE "honderd" TO THE-NAME                                   90/04/06
145600     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
145700     .                                                            90/02/16
145800                                                                  90/02/16
145900 NL-OUTPUT-GROUP-SEPARATOR.                                       90/02/16
146000     IF CUR-TENS-ONES > ZERO AND < 13                             90/02/16
146100         MOVE "en" TO THE-NAME                                    90/04/06
146200         IF CUR-HUNDREDS > ZERO                                   90/02/16
146300             ADD 1 TO GROUP-CHAR-NBR                              90/02/16
146400             PERFORM APPEND-NAME-TO-GROUP-DELIM                   90/02/16
146500         ELSE                                                     90/02/16
146600         IF (GROUP-NBR = 3                                        90/02/16
146700         AND CERTPK-CHAR-NBR > ZERO)                              90/02/16
146800             PERFORM APPEND-NAME-TO-GROUP-DELIM                   90/02/16
146900     .                                                            90/02/16
147000                                                                  90/02/16
147100 NL-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
147200     IF CUR-TENS-ONES < 20                                        90/02/16
147300         MOVE NL-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/17
147400         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
147500     ELSE                                                         90/02/16
147600         PERFORM NL-OUTPUT-GROUP-ONES                             90/02/16
147700         PERFORM NL-OUTPUT-GROUP-TENS                             90/02/16
147800     .                                                            90/02/16
147900                                                                  90/02/16
148000 NL-OUTPUT-GROUP-ONES.                                            90/02/16
148100     IF CUR-ONES > ZERO                                           90/02/16
148200         MOVE NL-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/17
148300         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
148400         MOVE "en" TO THE-NAME                                    90/04/06
148500         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
148600     .                                                            90/02/16
148700                                                                  90/02/16
148800 NL-OUTPUT-GROUP-TENS.                                            90/02/16
148900     MOVE NL-NAME-10-90 (CUR-TENS) TO THE-NAME                    90/02/16
149000     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
149100     .                                                            90/02/16
149200                                                                  90/02/16
149300 NL-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
149400     IF GROUP-NBR = 1                                             90/02/16
149500         ADD 1 TO GROUP-CHAR-NBR                                  90/02/16
149600     ELSE                                                         90/02/16
149700         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/21
149800     .                                                            90/02/16
149900                                                                  90/02/16
150000 NL-APPEND-GROUP-NAME.                                            90/02/16
150100     MOVE NL-GROUP-NAME (GROUP-NBR) TO THE-NAME                   90/02/16
150200     PERFORM APPEND-NAME-TO-STRING                                90/02/16
150300     IF GROUP-NBR = 1 OR 2                                        90/02/21
150400         ADD 1 TO CERTPK-CHAR-NBR                                 90/02/16
150500     .                                                            90/02/16
150600*#ELSE                                                            95/12/12
150700*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
150800*    .                                                            95/12/12
150900*#END                                                             95/12/12
151000                                                                  90/02/16
151100******************************************************************90/02/16
151200                                                                  90/02/16
151300 DE-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
151400*#CASE DE ALL                                                     95/12/12
151500     MOVE DE-NULL-NAME TO NULL-STRING                             90/02/20
151600     PERFORM DE-CONVERT-NUMBER-GROUP                              90/02/16
151700       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
151800         UNTIL GROUP-NBR > 3                                      90/02/16
151900     .                                                            90/02/16
152000                                                                  90/02/16
152100 DE-CONVERT-NUMBER-GROUP.                                         90/02/16
152200     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
152300     IF CUR-VALUE > ZERO                                          90/02/16
152400         PERFORM DE-CONVERT-GROUP-TO-TEXT                         90/02/16
152500         PERFORM DE-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
152600         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
152700         PERFORM DE-APPEND-GROUP-NAME                             90/02/16
152800     .                                                            90/02/16
152900                                                                  90/02/16
153000 DE-CONVERT-GROUP-TO-TEXT.                                        90/02/16
153100     IF CUR-HUNDREDS > ZERO                                       90/02/16
153200         PERFORM DE-OUTPUT-GROUP-HUNDREDS                         90/02/16
153300     .                                                            90/02/16
153400     IF CUR-TENS-ONES > ZERO                                      90/02/16
153500         PERFORM DE-OUTPUT-GROUP-TENS-ONES                        90/02/16
153600     .                                                            90/02/16
153700                                                                  90/02/16
153800 DE-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
153900     IF CUR-HUNDREDS > 1                                          90/02/16
154000         MOVE DE-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/17
154100         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
154200     .                                                            90/02/16
154300     MOVE "hundert" TO THE-NAME                                   90/04/06
154400     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
154500     .                                                            90/02/16
154600                                                                  90/02/16
154700 DE-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
154800     IF CUR-TENS-ONES = 1                                         90/02/16
154900         PERFORM DE-OUTPUT-GROUP-ONE                              90/02/16
155000     ELSE                                                         90/02/16
155100     IF CUR-TENS-ONES < 20                                        90/02/16
155200         MOVE DE-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/17
155300     ELSE                                                         90/02/16
155400         PERFORM DE-OUTPUT-GROUP-ONES                             90/02/16
155500         MOVE DE-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/16
155600     .                                                            90/02/16
155700     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
155800     .                                                            90/02/16
155900                                                                  90/02/16
156000 DE-OUTPUT-GROUP-ONE.                                             90/02/16
156100     IF GROUP-NBR = 3                                             90/02/16
156200         MOVE "eins" TO THE-NAME                                  90/04/06
156300     ELSE                                                         90/02/16
156400         MOVE "ein"  TO THE-NAME                                  90/04/06
156500     .                                                            90/02/16
156600                                                                  90/02/16
156700 DE-OUTPUT-GROUP-ONES.                                            90/02/16
156800     IF CUR-ONES > ZERO                                           90/02/16
156900         MOVE DE-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/17
157000         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
157100         MOVE "und" TO THE-NAME                                   90/04/06
157200         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
157300     .                                                            90/02/16
157400                                                                  90/02/16
157500 DE-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
157600     IF GROUP-NBR = 1                                             90/02/16
157700         IF CUR-VALUE = 1                                         90/02/16
157800             MOVE "eine" TO GROUP-TEXT                            90/04/06
157900             MOVE   5    TO GROUP-CHAR-NBR                        90/02/16
158000         ELSE                                                     90/02/16
158100             ADD 1 TO GROUP-CHAR-NBR                              90/02/16
158200     ELSE                                                         90/02/16
158300         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/21
158400     .                                                            90/02/16
158500                                                                  90/02/16
158600 DE-APPEND-GROUP-NAME.                                            90/02/16
158700     IF GROUP-NBR = 1                                             90/02/16
158800         PERFORM DE-APPEND-GROUP-1-NAME                           90/02/16
158900     ELSE                                                         90/02/16
159000     IF GROUP-NBR = 2                                             90/02/16
159100         PERFORM DE-APPEND-GROUP-2-NAME                           90/02/16
159200     .                                                            90/02/16
159300                                                                  90/02/16
159400 DE-APPEND-GROUP-1-NAME.                                          90/02/16
159500     IF CUR-VALUE = 1                                             90/02/16
159600         MOVE "Million"   TO THE-NAME                             90/04/06
159700         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
159800     ELSE                                                         90/02/16
159900         MOVE "Millionen" TO THE-NAME                             90/04/06
160000         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
160100     .                                                            90/02/16
160200                                                                  90/02/16
160300 DE-APPEND-GROUP-2-NAME.                                          90/02/16
160400     MOVE "tausend" TO THE-NAME                                   90/04/06
160500     PERFORM APPEND-NAME-TO-STRING                                90/02/16
160600     .                                                            90/02/16
160700*#ELSE                                                            95/12/12
160800*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
160900*    .                                                            95/12/12
161000*#END                                                             95/12/12
161100                                                                  90/02/16
161200******************************************************************90/02/16
161300                                                                  90/02/16
161400 ES-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
161500*#CASE ES ALL                                                     95/12/12
161600     MOVE ES-NULL-NAME TO NULL-STRING                             90/02/20
161700     PERFORM ES-CONVERT-NUMBER-GROUP                              90/02/16
161800       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
161900         UNTIL GROUP-NBR > 3                                      90/02/16
162000     .                                                            90/02/16
162100                                                                  90/02/16
162200 ES-CONVERT-NUMBER-GROUP.                                         90/02/16
162300     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
162400     IF CUR-VALUE > ZERO                                          90/02/16
162500         PERFORM ES-CONVERT-GROUP-TO-TEXT                         90/02/16
162600         PERFORM ES-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
162700         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
162800         PERFORM ES-APPEND-GROUP-NAME                             90/02/16
162900     .                                                            90/02/16
163000                                                                  90/02/16
163100 ES-CONVERT-GROUP-TO-TEXT.                                        90/02/16
163200     IF CUR-HUNDREDS > ZERO                                       90/02/16
163300         PERFORM ES-OUTPUT-GROUP-HUNDREDS                         90/02/16
163400     .                                                            90/02/16
163500     IF CUR-TENS-ONES > ZERO                                      90/02/16
163600         PERFORM ES-OUTPUT-GROUP-TENS-ONES                        90/02/16
163700     .                                                            90/02/16
163800                                                                  90/02/16
163900 ES-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
164000     MOVE ES-NAME-100-900 (CUR-HUNDREDS) TO THE-NAME              90/02/16
164100     IF CUR-VALUE = 100                                           90/02/16
164200         MOVE "cien" TO THE-NAME                                  90/04/06
164300     .                                                            90/02/16
164400     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
164500     .                                                            90/02/16
164600                                                                  90/02/16
164700 ES-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
164800     IF CUR-TENS-ONES < 21                                        90/02/16
164900         MOVE ES-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/16
165000         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
165100     ELSE                                                         90/02/16
165200         MOVE ES-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/16
165300         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
165400         IF CUR-ONES > ZERO                                       90/02/16
165500             PERFORM ES-OUTPUT-GROUP-ONES                         90/02/16
165600         ELSE                                                     90/02/16
165700             ADD 1 TO GROUP-CHAR-NBR                              90/02/16
165800     .                                                            90/02/16
165900                                                                  90/02/16
166000 ES-OUTPUT-GROUP-ONES.                                            90/02/16
166100     IF CUR-TENS-ONES > 30                                        90/02/16
166200         ADD 1 TO GROUP-CHAR-NBR                                  90/02/16
166300         MOVE "y" TO THE-NAME                                     90/04/06
166400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
166500     .                                                            90/02/16
166600     MOVE ES-NAME-01-20 (CUR-ONES) TO THE-NAME                    90/02/16
166700     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
166800     .                                                            90/02/16
166900                                                                  90/02/16
167000 ES-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
167100     IF  GROUP-NBR = 1                                            90/02/16
167200     AND CUR-VALUE = 1                                            90/02/16
167300         MOVE "un" TO GROUP-TEXT                                  90/04/06
167400         MOVE  3   TO GROUP-CHAR-NBR                              90/02/16
167500     ELSE                                                         90/02/16
167600         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/21
167700     .                                                            90/02/16
167800                                                                  90/02/16
167900 ES-APPEND-GROUP-NAME.                                            90/02/16
168000     IF GROUP-NBR = 1                                             90/02/16
168100         PERFORM ES-APPEND-GROUP-1-NAME                           90/02/16
168200     ELSE                                                         90/02/16
168300     IF GROUP-NBR = 2                                             90/02/16
168400         PERFORM ES-APPEND-GROUP-2-NAME                           90/02/16
168500     .                                                            90/02/16
168600                                                                  90/02/16
168700 ES-APPEND-GROUP-1-NAME.                                          90/02/16
168800     IF CUR-VALUE = 1                                             90/02/16
168900         MOVE "millon"   TO THE-NAME                              90/04/06
169000         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
169100     ELSE                                                         90/02/16
169200         MOVE "millones" TO THE-NAME                              90/04/06
169300         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
169400     .                                                            90/02/16
169500                                                                  90/02/16
169600 ES-APPEND-GROUP-2-NAME.                                          90/02/16
169700     MOVE "mil" TO THE-NAME                                       90/04/06
169800     PERFORM APPEND-NAME-TO-STRING-DELIM                          90/02/16
169900     .                                                            90/02/16
170000*#ELSE                                                            95/12/12
170100*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
170200*    .                                                            95/12/12
170300*#END                                                             95/12/12
170400                                                                  90/02/16
170500******************************************************************90/02/16
170600                                                                  90/02/16
170700 IT-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
170800*#CASE IT ALL                                                     95/12/12
170900     MOVE IT-NULL-NAME TO NULL-STRING                             90/02/20
171000     PERFORM IT-CONVERT-NUMBER-GROUP                              90/02/18
171100       VARYING GROUP-NBR FROM 1 BY 1                              90/02/18
171200         UNTIL GROUP-NBR > 3                                      90/02/18
171300     .                                                            90/02/18
171400                                                                  90/02/18
171500 IT-CONVERT-NUMBER-GROUP.                                         90/02/18
171600     PERFORM GET-CUR-GROUP-VALUES                                 90/02/18
171700     IF CUR-VALUE > ZERO                                          90/02/18
171800         PERFORM IT-CONVERT-GROUP-TO-TEXT                         90/02/18
171900         PERFORM IT-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/18
172000         PERFORM APPEND-GROUP-TO-STRING                           90/02/18
172100         PERFORM IT-APPEND-GROUP-NAME                             90/02/18
172200     .                                                            90/02/18
172300                                                                  90/02/18
172400 IT-CONVERT-GROUP-TO-TEXT.                                        90/02/18
172500     IF CUR-HUNDREDS > ZERO                                       90/02/18
172600         PERFORM IT-OUTPUT-GROUP-HUNDREDS                         90/02/18
172700     .                                                            90/02/18
172800     IF CUR-TENS-ONES > ZERO                                      90/02/18
172900         PERFORM IT-OUTPUT-GROUP-TENS-ONES                        90/02/18
173000     .                                                            90/02/18
173100                                                                  90/02/18
173200 IT-OUTPUT-GROUP-HUNDREDS.                                        90/02/18
173300     IF CUR-HUNDREDS > 1                                          90/02/18
173400         MOVE IT-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/18
173500         PERFORM APPEND-NAME-TO-GROUP                             90/02/18
173600     .                                                            90/02/18
173700     MOVE "cento" TO THE-NAME                                     90/04/06
173800     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/18
173900     .                                                            90/02/18
174000                                                                  90/02/18
174100 IT-OUTPUT-GROUP-TENS-ONES.                                       90/02/18
174200     IF CUR-TENS-ONES < 20                                        90/02/18
174300         MOVE IT-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/18
174400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/18
174500     ELSE                                                         90/02/18
174600         MOVE IT-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/18
174700         PERFORM APPEND-NAME-TO-GROUP                             90/02/18
174800         IF CUR-ONES > ZERO                                       90/02/18
174900             PERFORM IT-OUTPUT-GROUP-ONES                         90/02/18
175000         ELSE                                                     90/02/18
175100             ADD 1 TO GROUP-CHAR-NBR                              90/02/18
175200     .                                                            90/02/18
175300                                                                  90/02/18
175400 IT-OUTPUT-GROUP-ONES.                                            90/02/18
175500     IF CUR-ONES = 1 OR 8                                         90/02/18
175600         SUBTRACT 1 FROM GROUP-CHAR-NBR                           90/02/18
175700     .                                                            90/02/18
175800     MOVE IT-NAME-01-20 (CUR-ONES) TO THE-NAME                    90/02/18
175900     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/18
176000     .                                                            90/02/18
176100                                                                  90/02/18
176200 IT-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/18
176300     IF  GROUP-NBR = 1                                            90/02/18
176400     AND CUR-VALUE = 1                                            90/02/18
176500         MOVE "un" TO GROUP-TEXT                                  90/04/06
176600         MOVE  3   TO GROUP-CHAR-NBR                              90/02/18
176700     ELSE                                                         90/02/18
176800         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/21
176900     .                                                            90/02/18
177000                                                                  90/02/18
177100 IT-APPEND-GROUP-NAME.                                            90/02/18
177200     IF GROUP-NBR = 1                                             90/02/18
177300         PERFORM IT-APPEND-GROUP-1-NAME                           90/02/18
177400     ELSE                                                         90/02/18
177500     IF GROUP-NBR = 2                                             90/02/18
177600         PERFORM IT-APPEND-GROUP-2-NAME                           90/02/18
177700     .                                                            90/02/18
177800                                                                  90/02/18
177900 IT-APPEND-GROUP-1-NAME.                                          90/02/18
178000     IF CUR-VALUE = 1                                             90/02/18
178100         MOVE "milione" TO THE-NAME                               90/04/06
178200         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/18
178300     ELSE                                                         90/02/18
178400         MOVE "milioni" TO THE-NAME                               90/04/06
178500         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/18
178600     .                                                            90/02/18
178700                                                                  90/02/18
178800 IT-APPEND-GROUP-2-NAME.                                          90/02/18
178900     IF CUR-VALUE = 1                                             90/02/18
179000         MOVE "mille" TO THE-NAME                                 90/04/06
179100         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/18
179200     ELSE                                                         90/02/18
179300         MOVE "mila"  TO THE-NAME                                 90/04/06
179400         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/18
179500     .                                                            90/02/16
179600*#ELSE                                                            95/12/12
179700*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
179800*    .                                                            95/12/12
179900*#END                                                             95/12/12
180000                                                                  90/02/16
180100******************************************************************90/02/16
180200                                                                  90/02/16
180300 PO-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
180400*#CASE PO ALL                                                     95/12/12
180500     MOVE PO-NULL-NAME TO NULL-STRING                             90/02/20
180600     PERFORM PO-CONVERT-NUMBER-GROUP                              90/02/16
180700       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
180800         UNTIL GROUP-NBR > 3                                      90/02/16
180900     .                                                            90/02/16
181000                                                                  90/02/16
181100 PO-CONVERT-NUMBER-GROUP.                                         90/02/16
181200     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
181300     IF CUR-VALUE > ZERO                                          90/02/16
181400         PERFORM PO-CONVERT-GROUP-TO-TEXT                         90/02/16
181500         PERFORM PO-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
181600         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
181700         PERFORM PO-APPEND-GROUP-NAME                             90/02/16
181800     .                                                            90/02/16
181900                                                                  90/02/16
182000 PO-CONVERT-GROUP-TO-TEXT.                                        90/02/16
182100     IF CUR-HUNDREDS > ZERO                                       90/02/16
182200         PERFORM PO-OUTPUT-GROUP-HUNDREDS                         90/02/16
182300     .                                                            90/02/16
182400     IF CUR-TENS-ONES > ZERO                                      90/02/16
182500         PERFORM PO-OUTPUT-GROUP-TENS-ONES                        90/02/16
182600     .                                                            90/02/16
182700                                                                  90/02/16
182800 PO-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
182900     MOVE PO-NAME-100-900 (CUR-HUNDREDS) TO THE-NAME              90/02/16
183000     IF CUR-VALUE = 100                                           90/02/16
183100         MOVE "cem" TO THE-NAME                                   90/04/06
183200     .                                                            90/02/16
183300     PERFORM APPEND-NAME-TO-GROUP                                 90/02/16
183400     IF CUR-TENS-ONES > ZERO                                      90/02/16
183500         PERFORM PO-APPEND-SEPARATOR-TO-GROUP                     90/02/16
183600     .                                                            90/02/16
183700                                                                  90/02/16
183800 PO-APPEND-SEPARATOR-TO-GROUP.                                    90/02/16
183900     ADD 1 TO GROUP-CHAR-NBR                                      90/02/16
184000     MOVE "e" TO THE-NAME                                         90/04/06
184100     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
184200     .                                                            90/02/16
184300                                                                  90/02/16
184400 PO-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
184500     IF CUR-TENS-ONES < 20                                        90/02/16
184600         MOVE PO-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/17
184700         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
184800     ELSE                                                         90/02/16
184900         MOVE PO-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/16
185000         PERFORM APPEND-NAME-TO-GROUP                             90/02/16
185100         IF CUR-ONES > ZERO                                       90/02/16
185200             PERFORM PO-APPEND-SEPARATOR-TO-GROUP                 90/02/16
185300             MOVE PO-NAME-01-20 (CUR-ONES) TO THE-NAME            90/02/17
185400             PERFORM APPEND-NAME-TO-GROUP                         90/02/16
185500     .                                                            90/02/16
185600                                                                  90/02/16
185700 PO-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
185800     IF  GROUP-NBR = 2                                            90/02/16
185900     AND CUR-VALUE = 1                                            90/02/16
186000         MOVE ZERO TO GROUP-CHAR-NBR                              90/02/16
186100     ELSE                                                         90/02/16
186200         ADD   1   TO GROUP-CHAR-NBR                              90/02/16
186300     .                                                            90/02/16
186400                                                                  90/02/16
186500 PO-APPEND-GROUP-NAME.                                            90/02/16
186600     IF GROUP-NBR = 1                                             90/02/16
186700         PERFORM PO-APPEND-GROUP-1-NAME                           90/02/16
186800     ELSE                                                         90/02/16
186900     IF GROUP-NBR = 2                                             90/02/16
187000         PERFORM PO-APPEND-GROUP-2-NAME                           90/02/16
187100     .                                                            90/02/16
187200                                                                  90/02/16
187300 PO-APPEND-GROUP-1-NAME.                                          90/02/16
187400     IF CUR-VALUE = 1                                             90/02/16
187500         MOVE "milhao"  TO THE-NAME                               90/04/06
187600         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
187700     ELSE                                                         90/02/16
187800         MOVE "milhoes" TO THE-NAME                               90/04/06
187900         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
188000     .                                                            90/02/16
188100     IF CERTPK-GROUP (2) > ZERO                                   90/02/16
188200     OR CERTPK-GROUP (3) > ZERO                                   90/02/16
188300         PERFORM PO-APPEND-SEPARATOR-TO-STRING                    90/02/16
188400     .                                                            90/02/16
188500                                                                  90/02/16
188600 PO-APPEND-SEPARATOR-TO-STRING.                                   90/02/16
188700     MOVE "e" TO THE-NAME                                         90/04/06
188800     PERFORM APPEND-NAME-TO-STRING-DELIM                          90/02/16
188900     .                                                            90/02/16
189000                                                                  90/02/16
189100 PO-APPEND-GROUP-2-NAME.                                          90/02/16
189200     MOVE "mil" TO THE-NAME                                       90/04/06
189300     PERFORM APPEND-NAME-TO-STRING-DELIM                          90/02/16
189400     IF CERTPK-GROUP (3) > ZERO                                   90/02/16
189500         PERFORM PO-APPEND-SEPARATOR-TO-STRING                    90/02/16
189600     .                                                            90/02/16
189700*#ELSE                                                            95/12/12
189800*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
189900*    .                                                            95/12/12
190000*#END                                                             95/12/12
190100                                                                  90/02/16
190200******************************************************************90/02/16
190300                                                                  90/02/16
190400 DA-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
190500*#CASE DA ALL                                                     95/12/12
190600     MOVE DA-NULL-NAME TO NULL-STRING                             90/02/20
190700     PERFORM DA-CONVERT-NUMBER-GROUP                              90/02/16
190800       VARYING GROUP-NBR FROM 1 BY 1                              90/02/16
190900         UNTIL GROUP-NBR > 3                                      90/02/16
191000     .                                                            90/02/16
191100                                                                  90/02/16
191200 DA-CONVERT-NUMBER-GROUP.                                         90/02/16
191300     PERFORM GET-CUR-GROUP-VALUES                                 90/02/16
191400     IF CUR-VALUE > ZERO                                          90/02/16
191500         PERFORM DA-CONVERT-GROUP-TO-TEXT                         90/02/16
191600         PERFORM DA-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/16
191700         PERFORM APPEND-GROUP-TO-STRING                           90/02/16
191800         PERFORM DA-APPEND-GROUP-NAME                             90/02/16
191900     .                                                            90/02/16
192000                                                                  90/02/16
192100 DA-CONVERT-GROUP-TO-TEXT.                                        90/02/16
192200     IF CUR-HUNDREDS > ZERO                                       90/02/16
192300         PERFORM DA-OUTPUT-GROUP-HUNDREDS                         90/02/16
192400     .                                                            90/02/16
192500     IF CUR-TENS-ONES > ZERO                                      90/02/16
192600         PERFORM DA-OUTPUT-GROUP-TENS-ONES                        90/02/16
192700     .                                                            90/02/16
192800                                                                  90/02/16
192900 DA-OUTPUT-GROUP-HUNDREDS.                                        90/02/16
193000     IF CUR-HUNDREDS > 1                                          90/02/16
193100         MOVE DA-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/17
193200         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
193300     .                                                            90/02/16
193400     MOVE "hundrede" TO THE-NAME                                  90/04/06
193500     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/16
193600     IF CUR-TENS-ONES > ZERO                                      90/02/22
193700         MOVE "og" TO THE-NAME                                    90/04/06
193800         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/22
193900     .                                                            90/02/16
194000                                                                  90/02/16
194100 DA-OUTPUT-GROUP-TENS-ONES.                                       90/02/16
194200     IF CUR-TENS-ONES < 20                                        90/02/16
194300         MOVE DA-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/17
194400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
194500     ELSE                                                         90/02/16
194600         PERFORM DA-OUTPUT-GROUP-ONES                             90/02/16
194700         MOVE DA-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/21
194800         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
194900     .                                                            90/02/16
195000                                                                  90/02/16
195100 DA-OUTPUT-GROUP-ONES.                                            90/02/16
195200     IF CUR-ONES > ZERO                                           90/02/16
195300         MOVE DA-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/17
195400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
195500         MOVE "og" TO THE-NAME                                    90/04/06
195600         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/16
195700     .                                                            90/02/16
195800                                                                  90/02/16
195900 DA-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/16
196000     IF GROUP-NBR = 2                                             90/02/22
196100         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/22
196200     ELSE                                                         90/02/22
196300     IF GROUP-NBR = 3                                             90/02/22
196400         IF  CUR-VALUE < 100                                      90/02/22
196500         AND CERTPK-CHAR-NBR > ZERO                               90/02/22
196600             MOVE "og" TO THE-NAME                                90/04/06
196700             PERFORM APPEND-NAME-TO-STRING-DELIM                  90/02/22
196800     .                                                            90/02/16
196900                                                                  90/02/16
197000 DA-APPEND-GROUP-NAME.                                            90/02/16
197100     IF GROUP-NBR = 1                                             90/02/16
197200         PERFORM DA-APPEND-GROUP-1-NAME                           90/02/16
197300     ELSE                                                         90/02/16
197400     IF GROUP-NBR = 2                                             90/02/16
197500         MOVE "tusind" TO THE-NAME                                90/04/06
197600         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/20
197700     .                                                            90/02/16
197800                                                                  90/02/16
197900 DA-APPEND-GROUP-1-NAME.                                          90/02/16
198000     IF CUR-VALUE = 1                                             90/02/16
198100         MOVE "Million"   TO THE-NAME                             90/04/06
198200         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
198300     ELSE                                                         90/02/16
198400         MOVE "Millioner" TO THE-NAME                             90/04/06
198500         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/16
198600     .                                                            90/02/16
198700*#ELSE                                                            95/12/12
198800*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
198900*    .                                                            95/12/12
199000*#END                                                             95/12/12
199100                                                                  90/02/16
199200******************************************************************90/02/20
199300                                                                  90/02/20
199400 NO-NUMBER-TO-TEXT-CONVERSION.                                    90/02/20
199500*#CASE NO ALL                                                     95/12/12
199600     MOVE NO-NULL-NAME TO NULL-STRING                             90/02/20
199700     PERFORM NO-CONVERT-NUMBER-GROUP                              90/02/20
199800       VARYING GROUP-NBR FROM 1 BY 1                              90/02/20
199900         UNTIL GROUP-NBR > 3                                      90/02/20
200000     .                                                            90/02/20
200100                                                                  90/02/20
200200 NO-CONVERT-NUMBER-GROUP.                                         90/02/20
200300     PERFORM GET-CUR-GROUP-VALUES                                 90/02/20
200400     IF CUR-VALUE > ZERO                                          90/02/20
200500         PERFORM NO-CONVERT-GROUP-TO-TEXT                         90/02/20
200600         PERFORM NO-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/20
200700         PERFORM APPEND-GROUP-TO-STRING                           90/02/20
200800         PERFORM NO-APPEND-GROUP-NAME                             90/02/20
200900     .                                                            90/02/20
201000                                                                  90/02/20
201100 NO-CONVERT-GROUP-TO-TEXT.                                        90/02/20
201200     IF CUR-HUNDREDS > ZERO                                       90/02/20
201300         PERFORM NO-OUTPUT-GROUP-HUNDREDS                         90/02/20
201400     .                                                            90/02/20
201500     IF CUR-TENS-ONES > ZERO                                      90/02/20
201600         PERFORM NO-OUTPUT-GROUP-TENS-ONES                        90/02/20
201700     .                                                            90/02/20
201800                                                                  90/02/20
201900 NO-OUTPUT-GROUP-HUNDREDS.                                        90/02/20
202000     IF CUR-HUNDREDS > 1                                          90/02/20
202100         MOVE NO-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/20
202200         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/20
202300     .                                                            90/02/20
202400     MOVE "hundre" TO THE-NAME                                    90/04/06
202500     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/20
202600     IF CUR-TENS-ONES > ZERO                                      90/02/20
202700         MOVE "og" TO THE-NAME                                    90/04/06
202800         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/20
202900     .                                                            90/02/20
203000                                                                  90/02/20
203100 NO-OUTPUT-GROUP-TENS-ONES.                                       90/02/20
203200     IF CUR-TENS-ONES < 20                                        90/02/20
203300         MOVE NO-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/20
203400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/20
203500     ELSE                                                         90/02/20
203600         PERFORM NO-OUTPUT-GROUP-ONES                             90/02/20
203700         MOVE NO-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/21
203800         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
203900     .                                                            90/02/20
204000                                                                  90/02/20
204100 NO-OUTPUT-GROUP-ONES.                                            90/02/20
204200     IF CUR-ONES > ZERO                                           90/02/20
204300         MOVE NO-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/20
204400         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/20
204500         MOVE "og" TO THE-NAME                                    90/04/06
204600         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/20
204700     .                                                            90/02/20
204800                                                                  90/02/20
204900 NO-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/20
205000     PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                        90/02/21
205100     .                                                            90/02/20
205200                                                                  90/02/20
205300 NO-APPEND-GROUP-NAME.                                            90/02/20
205400     IF GROUP-NBR = 1                                             90/02/20
205500         PERFORM NO-APPEND-GROUP-1-NAME                           90/02/20
205600     ELSE                                                         90/02/20
205700     IF GROUP-NBR = 2                                             90/02/20
205800         MOVE "tusen" TO THE-NAME                                 90/04/06
205900         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/20
206000     .                                                            90/02/20
206100                                                                  90/02/20
206200 NO-APPEND-GROUP-1-NAME.                                          90/02/20
206300     IF CUR-VALUE = 1                                             90/02/20
206400         MOVE "Million"   TO THE-NAME                             90/04/06
206500         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/20
206600     ELSE                                                         90/02/20
206700         MOVE "Millioner" TO THE-NAME                             90/04/06
206800         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/20
206900     .                                                            90/02/20
207000*#ELSE                                                            95/12/12
207100*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
207200*    .                                                            95/12/12
207300*#END                                                             95/12/12
207400                                                                  90/02/20
207500******************************************************************90/02/21
207600                                                                  90/02/21
207700 SV-NUMBER-TO-TEXT-CONVERSION.                                    90/02/21
207800*#CASE SV ALL                                                     95/12/12
207900     MOVE SV-NULL-NAME TO NULL-STRING                             90/02/21
208000     PERFORM SV-CONVERT-NUMBER-GROUP                              90/02/21
208100       VARYING GROUP-NBR FROM 1 BY 1                              90/02/21
208200         UNTIL GROUP-NBR > 3                                      90/02/21
208300     .                                                            90/02/21
208400                                                                  90/02/21
208500 SV-CONVERT-NUMBER-GROUP.                                         90/02/21
208600     PERFORM GET-CUR-GROUP-VALUES                                 90/02/21
208700     IF CUR-VALUE > ZERO                                          90/02/21
208800         PERFORM SV-CONVERT-GROUP-TO-TEXT                         90/02/21
208900         PERFORM SV-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/21
209000         PERFORM APPEND-GROUP-TO-STRING                           90/02/21
209100         PERFORM SV-APPEND-GROUP-NAME                             90/02/21
209200     .                                                            90/02/21
209300                                                                  90/02/21
209400 SV-CONVERT-GROUP-TO-TEXT.                                        90/02/21
209500     IF CUR-HUNDREDS > ZERO                                       90/02/21
209600         PERFORM SV-OUTPUT-GROUP-HUNDREDS                         90/02/21
209700     .                                                            90/02/21
209800     IF CUR-TENS-ONES > ZERO                                      90/02/21
209900         PERFORM SV-OUTPUT-GROUP-TENS-ONES                        90/02/21
210000     .                                                            90/02/21
210100                                                                  90/02/21
210200 SV-OUTPUT-GROUP-HUNDREDS.                                        90/02/21
210300     IF CUR-HUNDREDS > 1                                          90/02/21
210400         MOVE SV-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/21
210500         PERFORM APPEND-NAME-TO-GROUP                             90/02/21
210600     .                                                            90/02/21
210700     MOVE "hundra" TO THE-NAME                                    90/04/06
210800     PERFORM APPEND-NAME-TO-GROUP                                 90/02/21
210900     .                                                            90/02/21
211000                                                                  90/02/21
211100 SV-OUTPUT-GROUP-TENS-ONES.                                       90/02/21
211200     IF CUR-TENS-ONES < 20                                        90/02/21
211300         MOVE SV-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/21
211400         PERFORM APPEND-NAME-TO-GROUP                             90/02/21
211500     ELSE                                                         90/02/21
211600         MOVE SV-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/21
211700         PERFORM APPEND-NAME-TO-GROUP                             90/02/21
211800         IF CUR-ONES > ZERO                                       90/02/21
211900             MOVE SV-NAME-01-20 (CUR-ONES) TO THE-NAME            90/02/21
212000             PERFORM APPEND-NAME-TO-GROUP                         90/02/21
212100     .                                                            90/02/21
212200                                                                  90/02/21
212300 SV-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/21
212400     IF GROUP-NBR = 1                                             90/02/21
212500         ADD 1 TO GROUP-CHAR-NBR                                  90/02/21
212600     ELSE                                                         90/02/21
212700         PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                    90/02/21
212800     .                                                            90/02/21
212900                                                                  90/02/21
213000 SV-APPEND-GROUP-NAME.                                            90/02/21
213100     IF GROUP-NBR = 1                                             90/02/21
213200         PERFORM SV-APPEND-GROUP-1-NAME                           90/02/21
213300     ELSE                                                         90/02/21
213400     IF GROUP-NBR = 2                                             90/02/21
213500         MOVE "tusen" TO THE-NAME                                 90/04/06
213600         PERFORM APPEND-NAME-TO-STRING                            90/02/21
213700     .                                                            90/02/21
213800                                                                  90/02/21
213900 SV-APPEND-GROUP-1-NAME.                                          90/02/21
214000     IF CUR-VALUE = 1                                             90/02/21
214100         MOVE "Miljon"   TO THE-NAME                              90/04/06
214200         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/21
214300     ELSE                                                         90/02/21
214400         MOVE "Miljoner" TO THE-NAME                              90/04/06
214500         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/21
214600     .                                                            90/02/21
214700*#ELSE                                                            95/12/12
214800*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
214900*    .                                                            95/12/12
215000*#END                                                             95/12/12
215100                                                                  90/02/21
215200******************************************************************90/02/21
215300                                                                  90/02/21
215400 IS-NUMBER-TO-TEXT-CONVERSION.                                    90/02/21
215500*#CASE IS ALL                                                     95/12/12
215600     MOVE IS-NULL-NAME TO NULL-STRING                             90/02/21
215700     PERFORM IS-CONVERT-NUMBER-GROUP                              90/02/21
215800       VARYING GROUP-NBR FROM 1 BY 1                              90/02/21
215900         UNTIL GROUP-NBR > 3                                      90/02/21
216000     .                                                            90/02/21
216100                                                                  90/02/21
216200 IS-CONVERT-NUMBER-GROUP.                                         90/02/21
216300     PERFORM GET-CUR-GROUP-VALUES                                 90/02/21
216400     IF CUR-VALUE > ZERO                                          90/02/21
216500         PERFORM IS-CONVERT-GROUP-TO-TEXT                         90/02/21
216600         PERFORM IS-OUTPUT-GROUP-PREFIX-AS-REQD                   90/02/21
216700         PERFORM APPEND-GROUP-TO-STRING                           90/02/21
216800         PERFORM IS-APPEND-GROUP-NAME                             90/02/21
216900     .                                                            90/02/21
217000                                                                  90/02/21
217100 IS-CONVERT-GROUP-TO-TEXT.                                        90/02/21
217200     IF CUR-HUNDREDS > ZERO                                       90/02/21
217300         PERFORM IS-OUTPUT-GROUP-HUNDREDS                         90/02/21
217400     .                                                            90/02/21
217500     PERFORM IS-OUTPUT-GROUP-SEPARATOR                            90/02/21
217600     IF CUR-TENS-ONES > ZERO                                      90/02/21
217700         PERFORM IS-OUTPUT-GROUP-TENS-ONES                        90/02/21
217800     .                                                            90/02/21
217900                                                                  90/02/21
218000 IS-OUTPUT-GROUP-HUNDREDS.                                        90/02/21
218100     IF CUR-HUNDREDS > 1                                          90/02/21
218200         PERFORM IS-GET-HUNDRED-UNITS                             90/02/21
218300         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
218400         MOVE "hundrud" TO THE-NAME                               90/04/06
218500     ELSE                                                         90/02/21
218600         MOVE "hundrad" TO THE-NAME                               90/04/06
218700     .                                                            90/02/21
218800     PERFORM APPEND-NAME-TO-GROUP-DELIM                           90/02/21
218900     .                                                            90/02/21
219000                                                                  90/02/21
219100 IS-GET-HUNDRED-UNITS.                                            90/02/21
219200     IF CUR-HUNDREDS < 5                                          90/02/21
219300         MOVE IS-NEUT-01-04 (CUR-HUNDREDS) TO THE-NAME            90/02/21
219400     ELSE                                                         90/02/21
219500         MOVE IS-NAME-01-20 (CUR-HUNDREDS) TO THE-NAME            90/02/21
219600     .                                                            90/02/21
219700                                                                  90/02/21
219800 IS-OUTPUT-GROUP-SEPARATOR.                                       90/02/21
219900     IF CUR-TENS-ONES > ZERO AND < 20                             90/02/21
220000         MOVE "og" TO THE-NAME                                    90/04/06
220100         IF CUR-HUNDREDS > ZERO                                   90/02/21
220200         OR (GROUP-NBR = 3                                        90/02/21
220300         AND CERTPK-CHAR-NBR > ZERO)                              90/02/21
220400             PERFORM APPEND-NAME-TO-GROUP-DELIM                   90/02/21
220500     .                                                            90/02/21
220600                                                                  90/02/21
220700 IS-OUTPUT-GROUP-TENS-ONES.                                       90/02/21
220800     IF  CUR-VALUE < 5                                            90/02/21
220900     AND GROUP-NBR < 3                                            90/02/21
221000         MOVE IS-NEUT-01-04 (CUR-VALUE) TO THE-NAME               90/02/21
221100         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
221200     ELSE                                                         90/02/21
221300     IF CUR-TENS-ONES < 20                                        90/02/21
221400         MOVE IS-NAME-01-20 (CUR-TENS-ONES) TO THE-NAME           90/02/21
221500         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
221600     ELSE                                                         90/02/21
221700         MOVE IS-NAME-10-90 (CUR-TENS) TO THE-NAME                90/02/21
221800         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
221900         PERFORM IS-OUTPUT-GROUP-ONES                             90/02/21
222000     .                                                            90/02/21
222100                                                                  90/02/21
222200 IS-OUTPUT-GROUP-ONES.                                            90/02/21
222300     IF CUR-ONES > ZERO                                           90/02/21
222400         MOVE "og" TO THE-NAME                                    90/04/06
222500         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
222600         MOVE IS-NAME-01-20 (CUR-ONES) TO THE-NAME                90/02/21
222700         PERFORM APPEND-NAME-TO-GROUP-DELIM                       90/02/21
222800     .                                                            90/02/21
222900                                                                  90/02/21
223000 IS-OUTPUT-GROUP-PREFIX-AS-REQD.                                  90/02/21
223100     PERFORM RMV-PREFIX-IF-SINGLE-THOUSAND                        90/02/21
223200     .                                                            90/02/21
223300                                                                  90/02/21
223400 IS-APPEND-GROUP-NAME.                                            90/02/21
223500     IF GROUP-NBR = 1                                             90/02/21
223600         PERFORM IS-APPEND-GROUP-1-NAME                           90/02/21
223700     ELSE                                                         90/02/21
223800     IF GROUP-NBR = 2                                             90/02/21
223900         MOVE "thusund" TO THE-NAME                               90/04/06
224000         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/21
224100     .                                                            90/02/21
224200                                                                  90/02/21
224300 IS-APPEND-GROUP-1-NAME.                                          90/02/21
224400     IF CUR-VALUE = 1                                             90/02/21
224500         MOVE "Miljon"   TO THE-NAME                              90/04/06
224600         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/21
224700     ELSE                                                         90/02/21
224800         MOVE "Miljoner" TO THE-NAME                              90/04/06
224900         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/21
225000     .                                                            90/02/21
225100*#ELSE                                                            95/12/12
225200*    MOVE "LANGUAGE" TO CERTPK-FEEDBACK                           95/12/12
225300*    .                                                            95/12/12
225400*#END                                                             95/12/12
225500                                                                  90/02/21
225600******************************************************************90/02/21
225700                                                                  90/02/16
225800 RM-NUMBER-TO-TEXT-CONVERSION.                                    90/02/16
225900     MOVE    SPACES     TO NULL-STRING                            90/02/16
226000     MOVE CERTPK-NUMBER TO ROMAN-VALUE                            90/02/16
226100     IF ROMAN-VALUE < 5000                                        90/02/16
226200         PERFORM RM-CHOP-DOWN-NUMBER                              90/02/16
226300           VARYING RMN-INDEX FROM 1 BY 1                          90/02/16
226400             UNTIL ROMAN-TEXT (RMN-INDEX) = SPACES                90/02/16
226500     ELSE                                                         90/02/18
226600         MOVE "SIZE" TO CERTPK-FEEDBACK                           90/02/18
226700     .                                                            90/02/16
226800                                                                  90/02/16
226900 RM-CHOP-DOWN-NUMBER.                                             90/02/16
227000     PERFORM RM-OUTPUT-TEXT-PART                                  90/02/16
227100       UNTIL ROMAN-VALUE < ROMAN-NUMERAL (RMN-INDEX)              90/02/16
227200     .                                                            90/02/16
227300                                                                  90/02/16
227400 RM-OUTPUT-TEXT-PART.                                             90/02/16
227500     MOVE ROMAN-TEXT (RMN-INDEX) TO THE-NAME                      90/02/16
227600     PERFORM APPEND-NAME-TO-STRING                                90/02/16
227700     SUBTRACT ROMAN-NUMERAL (RMN-INDEX) FROM ROMAN-VALUE          90/02/16
227800     .                                                            90/02/16
227900                                                                  90/02/16
228000******************************************************************90/02/16
228100                                                                  90/02/16
228200 SHORTEN-NUMBER-IF-REQUIRED.                                      90/02/16
228300     MOVE GROUP-START (GROUP-NBR) TO CERTPK-CHAR-NBR              90/02/16
228400     PERFORM OUTPUT-GROUP-VALUE-AS-DIGITS                         90/02/16
228500       VARYING OUTPUT-GROUP FROM GROUP-NBR BY 1                   90/02/16
228600         UNTIL OUTPUT-GROUP > 3                                   90/02/16
228700     .                                                            90/02/16
228800                                                                  90/02/16
228900 OUTPUT-GROUP-VALUE-AS-DIGITS.                                    90/02/16
229000     MOVE CERTPK-GROUP (OUTPUT-GROUP) TO DISPLAY-VALUE            90/02/16
229100     PERFORM OUTPUT-DISPLAY-VALUE-DIGIT                           90/02/16
229200       VARYING DIGIT-NBR FROM 1 BY 1                              90/02/16
229300         UNTIL DIGIT-NBR > 9                                      90/02/17
229400                                                                  90/02/16
229500     COMPUTE CHAR-NBR = CERTPK-CHAR-NBR + 1                       90/02/16
229600     PERFORM CLEAR-REST-OF-CERTPK-CHARS                           95/12/12
229700       UNTIL CHAR-NBR > MAX-CERTPK-CHAR                           90/02/16
229800                                                                  90/02/16
229900     ADD 1 TO CERTPK-CHAR-NBR                                     90/02/16
230000     .                                                            90/02/16
230100                                                                  90/02/16
230200 OUTPUT-DISPLAY-VALUE-DIGIT.                                      90/02/16
230300     IF DISPLAY-CHAR (DIGIT-NBR) NOT = SPACE                      90/02/17
230400         ADD 1 TO CERTPK-CHAR-NBR                                 90/02/16
230500         MOVE DISPLAY-CHAR (DIGIT-NBR)                            90/02/17
230600           TO  CERTPK-CHAR (CERTPK-CHAR-NBR)                      90/02/17
230700     .                                                            90/02/16
230800                                                                  90/02/16
230900 CLEAR-REST-OF-CERTPK-CHARS.                                      95/12/12
231000     MOVE SPACE TO CERTPK-CHAR (CHAR-NBR)                         90/02/16
231100     ADD 1 TO CHAR-NBR                                            90/02/16
231200     .                                                            90/02/16
231300                                                                  90/02/17
231400******************************************************************90/02/17
231500                                                                  90/02/17
231600 TALLY-THE-NUMBER.                                                90/02/17
231700     PERFORM GET-INTERNAL-LANGUAGE-NBR                            90/02/17
231800     IF LANGUAGE-NBR > ZERO                                       90/02/17
231900         MOVE NAMES-FOR-10-20 (LANGUAGE-NBR) TO NAMES-10-20       90/02/18
232000         MOVE NULL-NAME       (LANGUAGE-NBR) TO NULL-STRING       90/02/17
232100         MOVE FIELD-MINIMUM   (LANGUAGE-NBR) TO FIELD-MIN         92/05/08
232200         PERFORM CONVERT-DIGITS-TO-WORDS                          90/02/17
232300         PERFORM UPPERCASE-FIRST-CHARACTER                        90/04/06
232400     ELSE                                                         90/02/17
232500         MOVE "LANGUAGE" TO CERTPK-FEEDBACK                       90/02/17
232600     .                                                            90/02/17
232700                                                                  90/02/17
232800 GET-INTERNAL-LANGUAGE-NBR.                                       90/02/17
232900     MOVE CERTPK-LANGUAGE TO LANGUAGE-SENTINEL                    90/02/17
233000     PERFORM SEARCH-FOR-LANGUAGE-CODE                             90/02/17
233100       VARYING LANGUAGE-NBR FROM 1 BY 1                           90/02/17
233200         UNTIL LANGUAGE-CODE (LANGUAGE-NBR) = CERTPK-LANGUAGE     90/02/17
233300                                                                  90/02/17
233400     MOVE LANGUAGE-INDEX (LANGUAGE-NBR) TO LANGUAGE-NBR           90/02/17
233500     .                                                            90/02/17
233600                                                                  90/02/17
233700 SEARCH-FOR-LANGUAGE-CODE.                                        90/02/17
233800     EXIT                                                         90/02/17
233900     .                                                            90/02/17
234000                                                                  90/02/17
234100 CONVERT-DIGITS-TO-WORDS.                                         90/02/17
234200     IF  CERTPK-SIZE > ZERO                                       92/05/12
234300     AND FIELD-MIN NOT < CERTPK-SIZE                              92/05/12
234400         COMPUTE FIELD-MIN = CERTPK-SIZE - 1                      92/05/12
234500     .                                                            92/05/08
234600     IF CERTPK-DIGITS > ZERO                                      92/05/12
234700         COMPUTE DIGIT-NBR = 10 - CERTPK-DIGITS                   92/05/12
234800     ELSE                                                         92/05/08
234900         MOVE 1 TO DIGIT-NBR                                      92/05/08
235000     .                                                            92/05/08
235100     MOVE CERTPK-NUMBER TO DISPLAY-VALUE                          90/02/17
235200     PERFORM CONVERT-DIGIT-TO-WORD                                90/02/17
235300       VARYING DIGIT-NBR FROM DIGIT-NBR BY 1                      92/05/08
235400         UNTIL DIGIT-NBR > 9                                      90/02/17
235500     .                                                            90/02/17
235600                                                                  90/02/17
235700 CONVERT-DIGIT-TO-WORD.                                           90/02/17
235800     COMPUTE GROUP-CHAR-NBR = CERTPK-CHAR-NBR + CERTPK-SIZE       92/05/12
235900     IF DISPLAY-CHAR (DIGIT-NBR) = SPACE                          92/05/08
236000         IF CERTPK-DIGITS > ZERO                                  92/05/12
236100             MOVE "*" TO CUR-CHAR                                 92/05/08
236200             PERFORM APPEND-CUR-CHAR-TO-STRING                    92/05/08
236300               VARYING CHAR-NBR FROM 1 BY 1                       92/05/08
236400                 UNTIL CHAR-NBR > FIELD-MIN                       92/05/08
236500                                                                  92/05/12
236600             MOVE SPACE TO CUR-CHAR                               92/05/08
236700             PERFORM APPEND-CUR-CHAR-TO-STRING                    92/05/08
236800         ELSE                                                     92/05/08
236900             NEXT SENTENCE                                        92/05/08
237000     ELSE                                                         92/05/08
237100         MOVE DISPLAY-DIGIT (DIGIT-NBR) TO CUR-VALUE              90/02/17
237200         PERFORM GET-NAME-OF-DIGIT                                90/02/17
237300         PERFORM APPEND-NAME-TO-STRING-DELIM                      90/02/17
237400     .                                                            90/02/17
237500     IF CERTPK-SIZE > ZERO                                        92/05/12
237600         MOVE GROUP-CHAR-NBR TO CERTPK-CHAR-NBR                   92/05/08
237700     .                                                            92/05/08
237800                                                                  90/02/17
237900 GET-NAME-OF-DIGIT.                                               90/02/17
238000     IF CUR-VALUE > ZERO                                          90/02/17
238100         MOVE NAME-01-20 (CUR-VALUE) TO THE-NAME                  90/02/17
238200     ELSE                                                         90/02/17
238300         MOVE NULL-STRING            TO THE-NAME                  90/02/17
238400     .                                                            90/02/17
238500                                                                  90/04/04
238600******************************************************************90/04/04
238700                                                                  90/04/04
238800 CERTIFY-THE-DATE.                                                90/04/04
238900     PERFORM GET-INTERNAL-LANGUAGE-NBR                            90/04/04
239000     IF CERTPK-DAY   < 1 OR > 31                                  90/04/04
239100     OR CERTPK-MONTH < 1 OR > 12                                  90/04/04
239200     OR CERTPK-YEAR  < 1 OR > 9000                                90/04/04
239300         MOVE "DATE" TO CERTPK-FEEDBACK                           90/04/04
239400     ELSE                                                         90/04/04
239500     IF LANGUAGE-NBR > ZERO                                       90/04/04
239600         MOVE MONTHS-FOR-01-12 (LANGUAGE-NBR) TO MONTHS-01-12     90/04/04
239700         PERFORM CONVERT-DATE-TO-WORDS                            90/04/04
239800     ELSE                                                         90/04/04
239900         MOVE "LANGUAGE" TO CERTPK-FEEDBACK                       90/04/04
240000     .                                                            90/04/04
240100                                                                  90/04/04
240200 CONVERT-DATE-TO-WORDS.                                           90/04/04
240300     MOVE CERTPK-DAY       TO DISPLAY-DAY                         90/04/04
240400     MOVE DISPLAY-DAY-TEXT TO CERTPK-CHARS                        95/12/12
240500     MOVE 2                TO CERTPK-CHAR-NBR                     90/04/04
240600                                                                  90/04/04
240700     IF CERTPK-SIZE > 12                                          90/04/06
240800         MOVE DAY-MONTH-SEPARATOR (LANGUAGE-NBR) TO THE-NAME      90/04/06
240900         PERFORM APPEND-NAME-TO-STRING                            90/04/06
241000     .                                                            90/04/06
241100     ADD 1 TO CERTPK-CHAR-NBR                                     90/04/06
241200                                                                  90/04/06
241300     MOVE MONTH-01-12 (CERTPK-MONTH) TO THE-NAME                  90/04/06
241400     IF CERTPK-SIZE < 13                                          90/04/06
241500         MOVE SPACES TO THE-NAME-4-30                             90/04/06
241600     .                                                            90/04/06
241700     PERFORM APPEND-NAME-TO-STRING-DELIM                          90/04/04
241800                                                                  90/04/04
241900     MOVE CERTPK-YEAR TO DISPLAY-YEAR                             90/04/06
242000     IF CERTPK-SIZE > 10                                          90/04/06
242100         MOVE DISPLAY-YEAR-TEXT TO THE-NAME                       90/04/06
242200     ELSE                                                         90/04/06
242300         MOVE DISPLAY-YEAR-3-4  TO THE-NAME                       90/04/06
242400     .                                                            90/04/06
242500     PERFORM APPEND-NAME-TO-STRING-DELIM                          90/04/04
242600     .                                                            90/04/04
242700                                                                  90/04/05
242800******************************************************************90/04/04
242900                                                                  90/04/04
243000 CERTIFY-THE-MONTH.                                               90/04/04
243100     PERFORM GET-INTERNAL-LANGUAGE-NBR                            90/04/04
243200     IF CERTPK-MONTH < 1 OR > 12                                  90/04/05
243300         MOVE "DATE" TO CERTPK-FEEDBACK                           90/04/04
243400     ELSE                                                         90/04/04
243500     IF LANGUAGE-NBR > ZERO                                       90/04/04
243600         MOVE MONTHS-FOR-01-12 (LANGUAGE-NBR) TO MONTHS-01-12     90/04/04
243700         MOVE MONTH-01-12      (CERTPK-MONTH) TO THE-NAME         90/04/05
243800         PERFORM APPEND-NAME-TO-STRING                            90/04/05
243900     ELSE                                                         90/04/04
244000         MOVE "LANGUAGE" TO CERTPK-FEEDBACK                       90/04/04
244100     .                                                            90/04/04