000100 IDENTIFICATION DIVISION.                                         POS00001
000200 PROGRAM-ID.    DATEPK.                                           SOBEMAP.
000300 AUTHOR.        LEIF SVALGAARD.                                   SOBEMAP.
000400                                                                  SOBEMAP.
000500 DATE-WRITTEN.  87/10/11                                          SOBEMAP.
000600     -REVISED:  98/06/22.                                         98/06/24
000700                                                                  SOBEMAP.
000800 ENVIRONMENT DIVISION.                                            SOBEMAP.
000900                                                                  SOBEMAP.
001000 CONFIGURATION SECTION.                                           SOBEMAP.
001100 SOURCE-COMPUTER. PORTABLE.                                       SOBEMAP.
001200 OBJECT-COMPUTER. PORTABLE.                                       SOBEMAP.
001300                                                                  SOBEMAP.
001400 DATA DIVISION.                                                   SOBEMAP.
001500                                                                  SOBEMAP.
001600 WORKING-STORAGE SECTION.                                         SOBEMAP.
001700                                                                  SOBEMAP.
001800 01  POINTERS-WITHIN-A-FIELD.                                     SOBEMAP.
001900     02  THIS-CHAR               PIC S9(3)  COMP.                 89/10/04
002000     02  CHAR-P                  PIC S9(3)  COMP.                 88/07/27
002100     02  COPY-P                  PIC S9(3)  COMP.                 88/07/27
002200     02  DEST-P                  PIC S9(3)  COMP.                 88/07/27
002300                                                                  SOBEMAP.
002400 01  DATE-MANAGEMENT.                                             SOBEMAP.
002500     02  DATE-CANONICAL.                                          SOBEMAP.
002600         03  YEAR-VALUE          PIC S9(4)  COMP.                 95/07/14
002700         03  MONTH-VALUE         PIC S9(4)  COMP.                 95/07/14
002800         03  DAY-VALUE           PIC S9(4)  COMP.                 95/07/14
002900                                                                  88/07/27
003000     02  NUMBER-OF-DAYS-IN-MONTH.                                 SOBEMAP.
003100         03  D-JANUARY           PIC S9(3)  COMP  VALUE +31.      89/10/04
003200         03  D-FEBRUARY          PIC S9(3)  COMP  VALUE +29.      89/10/04
003300         03  D-MARCH             PIC S9(3)  COMP  VALUE +31.      89/10/04
003400         03  D-APRIL             PIC S9(3)  COMP  VALUE +30.      89/10/04
003500         03  D-MAY               PIC S9(3)  COMP  VALUE +31.      89/10/04
003600         03  D-JUNE              PIC S9(3)  COMP  VALUE +30.      89/10/04
003700         03  D-JULY              PIC S9(3)  COMP  VALUE +31.      89/10/04
003800         03  D-AUGUST            PIC S9(3)  COMP  VALUE +31.      89/10/04
003900         03  D-SEPTEMBER         PIC S9(3)  COMP  VALUE +30.      89/10/04
004000         03  D-OCTOBER           PIC S9(3)  COMP  VALUE +31.      89/10/04
004100         03  D-NOVEMBER          PIC S9(3)  COMP  VALUE +30.      89/10/04
004200         03  D-DECEMBER          PIC S9(3)  COMP  VALUE +31.      89/10/04
004300     02  FILLER                  REDEFINES                        88/07/27
004400         NUMBER-OF-DAYS-IN-MONTH.                                 88/07/27
004500         03  DAYS                PIC S9(3)  COMP  OCCURS 12 TIMES.88/07/27
004600                                                                  SOBEMAP.
004700     02  NAMES-OF-THE-MONTHS.                                     89/10/04
004800         03  N-JANUARY           PIC X(3)   VALUE "JAN".          89/10/04
004900         03  N-FEBRUARY          PIC X(3)   VALUE "FEB".          89/10/04
005000         03  N-MARCH             PIC X(3)   VALUE "MAR".          89/10/04
005100         03  N-APRIL             PIC X(3)   VALUE "APR".          89/10/04
005200         03  N-MAY               PIC X(3)   VALUE "MAY".          89/10/04
005300         03  N-JUNE              PIC X(3)   VALUE "JUN".          89/10/04
005400         03  N-JULY              PIC X(3)   VALUE "JUL".          89/10/04
005500         03  N-AUGUST            PIC X(3)   VALUE "AUG".          89/10/04
005600         03  N-SEPTEMBER         PIC X(3)   VALUE "SEP".          89/10/04
005700         03  N-OCTOBER           PIC X(3)   VALUE "OCT".          89/10/04
005800         03  N-NOVEMBER          PIC X(3)   VALUE "NOV".          89/10/04
005900         03  N-DECEMBER          PIC X(3)   VALUE "DEC".          89/10/04
006000         03  N-INFINITE          PIC X(3)   VALUE "XXX".          98/03/30
006100         03  THE-NAME.                                            89/10/05
006200             04  THE-NAME-CHAR   PIC X(1)  OCCURS 3 TIMES.        89/10/05
006300     02  FILLER                  REDEFINES                        89/10/04
006400         NAMES-OF-THE-MONTHS.                                     89/10/04
006500         03  NAME-OF-MONTH       PIC X(3)         OCCURS 14 TIMES.98/03/30
006600                                                                  89/10/05
006700     02  YEAR-DIV                PIC S9(4)  COMP.                 95/07/14
006800     02  YEAR-REM                PIC S9(3)  COMP.                 88/07/27
006900     02  MONTH-NBR               PIC S9(3)  COMP.                 89/10/05
007000                                                                  SOBEMAP.
007100     02  DATE-CUTOFF             PIC S9(3)  COMP.                 88/07/27
007200     02  DATE-LENGTH             PIC S9(3)  COMP.                 88/07/27
007300     02  DATE-TOP                PIC S9(3)  COMP.                 88/07/27
007400                                                                  SOBEMAP.
007500     02  NAME-CHAR-P             PIC S9(3)  COMP.                 89/10/05
007600     02  SCHEMA-P                PIC S9(3)  COMP.                 89/10/05
007700     02  LAST-D                  PIC S9(3)  COMP.                 88/07/27
007800     02  DEST-D                  PIC S9(3)  COMP.                 88/07/27
007900     02  THIS-D                  PIC S9(3)  COMP.                 88/07/27
008000                                                                  SOBEMAP.
008100     02  NBR-OF-CONSECUTIVE-DIGITS                                SOBEMAP.
008200                                 PIC S9(3)  COMP.                 88/07/27
008300         88  CONSECUTIVE-DIGITS-OK          VALUES ARE  0, +1, +2 88/07/27
008400                                                       +4, +6, +8.88/07/27
008500     02  NBR-OF-DIGITS           PIC S9(3)  COMP.                 88/07/27
008600         88  ONLY-DAY-ENTERED               VALUE  IS  +2.        88/07/27
008700         88  NO-YEAR-ENTERED                VALUE  IS  +4.        88/07/27
008800         88  ODD-NBR-OF-DIGITS              VALUES ARE +1, +3     88/07/27
008900                                                       +5, +7.    88/07/27
009000     02  NBR-OF-SEPARATORS       PIC S9(3)  COMP.                 95/03/13
009100                                                                  95/03/13
009200     02  DATE-DIGITS.                                             SOBEMAP.
009300         03  DATE-DIGIT          PIC X      OCCURS 8 TIMES.       88/07/27
009400                                                                  SOBEMAP.
009500     02  Y-DATE-FORMAT           REDEFINES  DATE-DIGITS.          88/07/27
009600         03  Y-DATE-YYYY         PIC 9999.                        88/07/27
009700         03  Y-DATE-MM           PIC 99.                          88/07/27
009800         03  Y-DATE-DD           PIC 99.                          88/07/27
009900                                                                  SOBEMAP.
010000     02  M-DATE-FORMAT           REDEFINES  DATE-DIGITS.          88/07/27
010100         03  M-DATE-MM           PIC 99.                          88/07/27
010200         03  M-DATE-DD           PIC 99.                          88/07/27
010300         03  M-DATE-YYYY         PIC 9999.                        88/07/27
010400                                                                  SOBEMAP.
010500     02  D-DATE-FORMAT           REDEFINES  DATE-DIGITS.          88/07/27
010600         03  D-DATE-DD           PIC 99.                          88/07/27
010700         03  D-DATE-MM           PIC 99.                          88/07/27
010800         03  D-DATE-YYYY         PIC 9999.                        88/07/27
010900                                                                  SOBEMAP.
011000     02  DATE-SCHEMAS.                                            SOBEMAP.
011100         03  YMD-SCHEMA          PIC X(13)  VALUE "8765/43/21 1Y".89/10/04
011200         03  MDY-SCHEMA          PIC X(13)  VALUE "43/21/8765 5M".88/07/27
011300         03  DMY-SCHEMA          PIC X(13)  VALUE "21/43/8765 5D".89/10/04
011400                                                                  SOBEMAP.
011500         03  DATE-SCHEMA.                                         SOBEMAP.
011600             04  DATE-SCHEMA-CHAR    PIC X  OCCURS 11 TIMES.      88/07/27
011700             04  DATE-SCHEMA-LAST    PIC 9.                       88/07/27
011800             04  DATE-SCHEMA-FORMAT  PIC X.                       88/07/27
011900                                                                  SOBEMAP.
012000     02  INTERNAL-DATE.                                           SOBEMAP.
012100         03  INT-YEAR            PIC 9999.                        88/07/27
012200         03  INT-MONTH           PIC 99.                          88/07/27
012300         03  INT-DAY             PIC 99.                          88/07/27
012400     02  FILLER                  REDEFINES  INTERNAL-DATE.        88/07/27
012500         03  INT-DATE-CHAR       PIC X      OCCURS 8 TIMES.       88/07/27
012600                                                                  SOBEMAP.
012700     02  EXTERNAL-MONTH.                                          89/10/04
012800         03  FILLER              PIC X(1).                        89/10/04
012900         03  EXT-MONTH           PIC 9(2).                        89/10/04
013000         03  FILLER              REDEFINES  EXT-MONTH.            89/10/05
013100             04  EXT-MONTH-CHAR  PIC X      OCCURS 2 TIMES.       89/10/05
013200                                                                  89/10/04
013300     02  EXTERNAL-YEAR           PIC X(4).                        90/08/01
013400                                                                  90/08/01
013500 01  CHARACTER-VALUES.                                            SOBEMAP.
013600     02  CURR-CHAR               PIC X.                           88/07/27
013700         88  CHAR-IS-SPACE                  VALUE IS " ".         88/07/27
013800         88  CHAR-IS-DIGIT                  VALUE IS "0" THRU "9".88/07/27
013900         88  CHAR-IS-LETTER                 VALUE IS "A" THRU "Z".89/10/05
014000         88  CHAR-IS-SEPARATOR              VALUE IS "-"  "/" "." 95/03/13
014100                                                     "'".         95/03/13
014200     02  CURR-CHAR-VALUE         REDEFINES  CURR-CHAR             88/07/27
014300                                 PIC 9.                           88/07/27
014400     02  ZERO-FORM               PIC X.                           88/07/27
014500         88  NUMBER-IS-ZERO                 VALUE IS "0".         88/07/27
014600                                                                  SOBEMAP.
014700 LINKAGE SECTION.                                                 SOBEMAP.
014800                                                                  SOBEMAP.
014900 01  DATEPK-CONTROL.                                              SOBEMAP.
015000     02  SESSION-TASK-ID         PIC X(4).                        88/07/27
015100     02  DATEPK-OPERATION        PIC X.                           88/07/27
015200         88  ENCODE-OPERATION               VALUE IS "E".         88/07/27
015300         88  DECODE-OPERATION               VALUE IS "D".         88/07/27
015400                                                                  SOBEMAP.
015500     02  DATEPK-FEEDBACK         PIC X.                           88/07/27
015600         88  NO-ERRORS                      VALUE IS SPACE.       88/07/27
015700         88  DATE-ERROR                     VALUE IS "E".         88/07/27
015800         88  OPERATION-ERROR                VALUE IS "O".         88/07/27
015900                                                                  SOBEMAP.
016000     02  DATA-MODE               PIC X.                           88/07/27
016100         88  YMD-FORMAT                     VALUES ARE "N" "Y".   88/07/27
016200         88  MDY-FORMAT                     VALUES ARE "S" "$".   88/07/27
016300         88  DMY-FORMAT                     VALUES ARE " " ".".   88/07/27
016400                                                                  SOBEMAP.
016500     02  DATE-SEPARATOR          PIC X.                           88/07/27
016600         88  MONTH-NAME-WANTED              VALUES ARE ":".       89/10/04
016700         88  NO-SEPARATOR-WANTED            VALUES ARE "=".       90/08/01
016800         88  VALID-SEPARATOR                VALUES ARE "/" "."    89/10/04
016900                                                       "-" ":"    90/08/01
017000                                                       "=".       90/08/01
017100 01  DATEPK-DATA.                                                 SOBEMAP.
017200     02  DATEPK-STRING-SIZE      PIC S9(3)  COMP.                 88/07/27
017300                                                                  SOBEMAP.
017400     02  DATEPK-INTERNAL-FORMAT.                                  89/10/04
017500         03  INT-CHAR            PIC X      OCCURS 80 TIMES.      88/07/27
017600                                                                  89/10/04
017700     02  DATEPK-EXTERNAL-FORMAT.                                  89/10/04
017800         03  EXT-CHAR            PIC X      OCCURS 80 TIMES.      88/07/27
017900     02  FILLER                  REDEFINES DATEPK-EXTERNAL-FORMAT.89/10/04
018000         03  EXT-DAY             PIC 9(02).                       89/10/04
018100         03  EXT-MONTH-NAME      PIC X(03).                       89/10/04
018200         03  FILLER              PIC X(01).                       90/08/01
018300         03  EXT-YEAR-VALUE      PIC X(74).                       90/08/01
018400     02  FILLER                  REDEFINES DATEPK-EXTERNAL-FORMAT.90/08/01
018500         03  FILLER              PIC 9(02).                       90/08/01
018600         03  FILLER              PIC X(03).                       90/08/01
018700         03  EXT-YEAR-SHIFTED    PIC X(05).                       90/08/01
018800         03  FILLER              PIC X(70).                       90/08/01
018900     02  FILLER                  REDEFINES DATEPK-EXTERNAL-FORMAT.90/08/01
019000         03  FILLER              PIC 9(02).                       90/08/01
019100         03  HYPHEN-1            PIC X(01).                       90/08/01
019200         03  HYPHEN-MONTH        PIC X(03).                       90/08/01
019300         03  HYPHEN-2            PIC X(01).                       90/08/01
019400         03  HYPHEN-YEAR         PIC X(04).                       90/08/01
019500         03  FILLER              PIC X(69).                       90/08/01
019600                                                                  89/10/04
019700 PROCEDURE DIVISION                                               SOBEMAP.
019800     USING DATEPK-CONTROL                                         SOBEMAP.
019900           DATEPK-DATA.                                           SOBEMAP.
020000                                                                  SOBEMAP.
020100 BEGIN-PROGRAM.                                                   SOBEMAP.
020200     MOVE SPACE TO DATEPK-FEEDBACK                                SOBEMAP.
020300                                                                  SOBEMAP.
020400     IF DECODE-OPERATION                                          SOBEMAP.
020500         PERFORM DECODE-DATE                                      SOBEMAP.
020600     ELSE                                                         SOBEMAP.
020700     IF ENCODE-OPERATION                                          SOBEMAP.
020800         PERFORM ENCODE-DATE                                      SOBEMAP.
020900     ELSE                                                         SOBEMAP.
021000         MOVE "O" TO DATEPK-FEEDBACK                              SOBEMAP.
021100     .                                                            SOBEMAP.
021200 RETURN-TO-CALLER.                                                SOBEMAP.
021300     EXIT PROGRAM                                                 SOBEMAP.
021400     .                                                            SOBEMAP.
021500                                                                  SOBEMAP.
021600**********************    DECODE DATE    *************************SOBEMAP.
021700                                                                  SOBEMAP.
021800 DECODE-DATE.                                                     SOBEMAP.
021900     MOVE SPACES TO DATEPK-EXTERNAL-FORMAT                        90/08/01
022000     PERFORM CHECK-FORMAT                                         SOBEMAP.
022100     IF NO-ERRORS                                                 SOBEMAP.
022200         PERFORM MOVE-DATE-TO-EXTERNAL-FORMAT                     SOBEMAP.
022300     .                                                            SOBEMAP.
022400                                                                  SOBEMAP.
022500 CHECK-FORMAT.                                                    SOBEMAP.
022600     IF NOT VALID-SEPARATOR                                       SOBEMAP.
022700         MOVE "O" TO DATEPK-FEEDBACK                              SOBEMAP.
022800     ELSE                                                         SOBEMAP.
022900         MOVE DATEPK-STRING-SIZE TO DATE-LENGTH                   SOBEMAP.
023000         IF DATE-LENGTH < 8                                       90/08/01
023100         OR DATE-LENGTH > 80                                      SOBEMAP.
023200             MOVE "O" TO DATEPK-FEEDBACK                          SOBEMAP.
023300         ELSE                                                     SOBEMAP.
023400             COMPUTE DATE-TOP = DATE-LENGTH + 1                   90/08/01
023500             IF MONTH-NAME-WANTED                                 89/10/04
023600             OR DMY-FORMAT                                        89/10/04
023700                 MOVE DMY-SCHEMA TO DATE-SCHEMA                   89/10/04
023800             ELSE                                                 89/10/04
023900             IF MDY-FORMAT                                        89/10/04
024000                 MOVE MDY-SCHEMA TO DATE-SCHEMA                   89/10/04
024100             ELSE                                                 89/10/04
024200             IF YMD-FORMAT                                        89/10/04
024300                 MOVE YMD-SCHEMA TO DATE-SCHEMA                   89/10/04
024400             ELSE                                                 89/10/04
024500                 MOVE "O" TO DATEPK-FEEDBACK                      89/10/04
024600     .                                                            SOBEMAP.
024700                                                                  SOBEMAP.
024800 MOVE-DATE-TO-EXTERNAL-FORMAT.                                    SOBEMAP.
024900     IF DATE-LENGTH < 10                                          90/08/01
025000         MOVE  6 TO DATE-CUTOFF                                   90/08/01
025100     ELSE                                                         90/08/01
025200         MOVE  8 TO DATE-CUTOFF                                   90/08/01
025300     .                                                            SOBEMAP.
025400     MOVE ZERO TO ZERO-FORM                                       SOBEMAP.
025500     MOVE 1 TO THIS-CHAR, SCHEMA-P                                SOBEMAP.
025600     PERFORM COPY-DATE-TO-EXTERNAL                                SOBEMAP.
025700       UNTIL THIS-CHAR > DATE-LENGTH                              90/08/01
025800                                                                  SOBEMAP.
025900     IF NUMBER-IS-ZERO                                            SOBEMAP.
026000         MOVE SPACES TO DATEPK-EXTERNAL-FORMAT                    90/08/01
026100     ELSE                                                         89/10/04
026200     IF MONTH-NAME-WANTED                                         89/10/04
026300         PERFORM REPLACE-MONTH-BY-ITS-NAME                        89/10/04
026400     .                                                            SOBEMAP.
026500                                                                  SOBEMAP.
026600 COPY-DATE-TO-EXTERNAL.                                           SOBEMAP.
026700     MOVE DATE-SCHEMA-CHAR (SCHEMA-P) TO CURR-CHAR                SOBEMAP.
026800     IF CURR-CHAR IS NUMERIC                                      SOBEMAP.
026900         MOVE CURR-CHAR-VALUE TO DEST-P                           SOBEMAP.
027000         IF DEST-P > DATE-CUTOFF                                  SOBEMAP.
027100             SUBTRACT 1 FROM THIS-CHAR                            SOBEMAP.
027200         ELSE                                                     SOBEMAP.
027300             COMPUTE COPY-P = DATE-TOP - DEST-P                   SOBEMAP.
027400             MOVE INT-CHAR (COPY-P) TO EXT-CHAR (THIS-CHAR)       SOBEMAP.
027500                                       CURR-CHAR                  SOBEMAP.
027600             IF CURR-CHAR = ZERO                                  SOBEMAP.
027700                 PERFORM SUPPRESS-IF-LEADING                      SOBEMAP.
027800             ELSE                                                 SOBEMAP.
027900                 MOVE CURR-CHAR TO ZERO-FORM                      SOBEMAP.
028000     ELSE                                                         SOBEMAP.
028100     IF CURR-CHAR = "/"                                           SOBEMAP.
028200         IF NO-SEPARATOR-WANTED                                   90/08/01
028300             SUBTRACT 1 FROM THIS-CHAR                            90/08/01
028400         ELSE                                                     90/08/01
028500             MOVE DATE-SEPARATOR TO EXT-CHAR (THIS-CHAR)          90/08/01
028600     ELSE                                                         SOBEMAP.
028700         SUBTRACT 1 FROM SCHEMA-P                                 SOBEMAP.
028800         MOVE SPACE TO EXT-CHAR (THIS-CHAR)                       SOBEMAP.
028900     .                                                            SOBEMAP.
029000     ADD 1 TO SCHEMA-P                                            SOBEMAP.
029100     ADD 1 TO THIS-CHAR                                           SOBEMAP.
029200     .                                                            SOBEMAP.
029300                                                                  SOBEMAP.
029400 SUPPRESS-IF-LEADING.                                             SOBEMAP.
029500     IF THIS-CHAR = 1                                             SOBEMAP.
029600         IF NOT (YMD-FORMAT OR NO-SEPARATOR-WANTED)               90/08/01
029700             MOVE SPACE TO EXT-CHAR (THIS-CHAR)                   SOBEMAP.
029800     .                                                            SOBEMAP.
029900                                                                  SOBEMAP.
030000 REPLACE-MONTH-BY-ITS-NAME.                                       89/10/04
030100     MOVE EXT-MONTH-NAME TO EXTERNAL-MONTH                        89/10/04
030200                                                                  89/10/04
030300     IF EXT-MONTH = 99                                            98/03/30
030400         MOVE 13 TO EXT-MONTH                                     98/03/30
030500     .                                                            98/03/30
030600     IF EXT-MONTH < 01                                            89/10/04
030700     OR EXT-MONTH > 13                                            98/03/30
030800         MOVE "E" TO DATEPK-FEEDBACK                              89/10/04
030900     ELSE                                                         89/10/04
031000         MOVE NAME-OF-MONTH (EXT-MONTH) TO EXT-MONTH-NAME         89/10/04
031100         MOVE EXT-YEAR-VALUE      TO EXTERNAL-YEAR                90/08/01
031200         IF DATE-LENGTH < 11                                      90/08/01
031300             MOVE EXTERNAL-YEAR   TO EXT-YEAR-SHIFTED             90/08/01
031400         ELSE                                                     90/08/01
031500             MOVE EXT-MONTH-NAME  TO EXTERNAL-MONTH               90/08/01
031600             MOVE "-"             TO HYPHEN-1, HYPHEN-2           90/08/01
031700             MOVE EXTERNAL-MONTH  TO HYPHEN-MONTH                 90/08/01
031800             MOVE EXTERNAL-YEAR   TO HYPHEN-YEAR                  90/08/01
031900     .                                                            89/10/04
032000                                                                  89/10/04
032100**********************    ENCODE DATE    *************************SOBEMAP.
032200                                                                  SOBEMAP.
032300 ENCODE-DATE.                                                     SOBEMAP.
032400     PERFORM CHECK-FORMAT                                         SOBEMAP.
032500     IF NO-ERRORS                                                 SOBEMAP.
032600         PERFORM MOVE-DATE-TO-INTERNAL-FORMAT                     SOBEMAP.
032700     ELSE                                                         SOBEMAP.
032800         MOVE ZEROES TO DATEPK-INTERNAL-FORMAT                    SOBEMAP.
032900     .                                                            SOBEMAP.
033000                                                                  SOBEMAP.
033100 MOVE-DATE-TO-INTERNAL-FORMAT.                                    SOBEMAP.
033200     MOVE ZEROES TO DATE-DIGITS, NAME-CHAR-P                      89/10/05
033300                                                                  SOBEMAP.
033400     MOVE 0 TO NBR-OF-DIGITS, NBR-OF-SEPARATORS,                  95/03/13
033500               NBR-OF-CONSECUTIVE-DIGITS                          SOBEMAP.
033600                                                                  89/10/05
033700     PERFORM GET-DATE-DIGIT                                       SOBEMAP.
033800       VARYING THIS-CHAR FROM 1 BY 1                              SOBEMAP.
033900         UNTIL THIS-CHAR > DATE-LENGTH                            SOBEMAP.
034000                                                                  SOBEMAP.
034100     PERFORM END-OF-NUMBER-ACTION                                 SOBEMAP.
034200                                                                  98/06/22
034300     IF NBR-OF-DIGITS = 6                                         SOBEMAP.
034400     AND DATE-LENGTH < 10                                         98/06/22
034500         PERFORM FILL-UP-WITH-CENTURY                             SOBEMAP.
034600     .                                                            98/06/22
034700     IF NBR-OF-DIGITS = 0                                         SOBEMAP.
034800         PERFORM EXTRACT-FORMATTED-DATE                           SOBEMAP.
034900     ELSE                                                         SOBEMAP.
035000     IF NBR-OF-DIGITS = 8 OR 4 OR 2                               88/07/27
035100         PERFORM EXTRACT-FORMATTED-DATE                           SOBEMAP.
035200         PERFORM CHECK-THE-DATE                                   SOBEMAP.
035300     ELSE                                                         SOBEMAP.
035400         MOVE "E" TO DATEPK-FEEDBACK                              SOBEMAP.
035500     .                                                            SOBEMAP.
035600     IF NO-ERRORS                                                 SOBEMAP.
035700         PERFORM ACCEPT-THE-DATE                                  SOBEMAP.
035800     .                                                            SOBEMAP.
035900                                                                  SOBEMAP.
036000 GET-DATE-DIGIT.                                                  SOBEMAP.
036100     MOVE EXT-CHAR (THIS-CHAR) TO CURR-CHAR                       SOBEMAP.
036200     IF CHAR-IS-DIGIT                                             SOBEMAP.
036300         IF NBR-OF-DIGITS < 8                                     SOBEMAP.
036400             ADD 1 TO NBR-OF-DIGITS                               SOBEMAP.
036500             ADD 1 TO NBR-OF-CONSECUTIVE-DIGITS                   SOBEMAP.
036600             MOVE CURR-CHAR TO DATE-DIGIT (NBR-OF-DIGITS)         SOBEMAP.
036700         ELSE                                                     SOBEMAP.
036800             MOVE "E" TO DATEPK-FEEDBACK                          SOBEMAP.
036900     ELSE                                                         SOBEMAP.
037000     IF CHAR-IS-SEPARATOR                                         SOBEMAP.
037100         ADD 1 TO NBR-OF-SEPARATORS                               95/03/13
037200         PERFORM END-OF-NUMBER-ACTION                             SOBEMAP.
037300     ELSE                                                         SOBEMAP.
037400     IF CHAR-IS-LETTER                                            89/10/05
037500         PERFORM DETERMINE-THE-MONTH                              89/10/05
037600     ELSE                                                         89/10/05
037700     IF CHAR-IS-SPACE                                             95/03/13
037800         PERFORM END-OF-NUMBER-ACTION                             95/03/13
037900     ELSE                                                         95/03/13
038000         MOVE "E" TO DATEPK-FEEDBACK                              SOBEMAP.
038100     .                                                            SOBEMAP.
038200                                                                  SOBEMAP.
038300 END-OF-NUMBER-ACTION.                                            SOBEMAP.
038400     IF CONSECUTIVE-DIGITS-OK                                     SOBEMAP.
038500     AND NBR-OF-SEPARATORS < 3                                    95/03/13
038600         PERFORM FILL-UP-TO-EVEN-DIGITS                           SOBEMAP.
038700     ELSE                                                         SOBEMAP.
038800         MOVE "E" TO DATEPK-FEEDBACK                              SOBEMAP.
038900     .                                                            SOBEMAP.
039000                                                                  SOBEMAP.
039100 FILL-UP-TO-EVEN-DIGITS.                                          SOBEMAP.
039200     MOVE ZERO TO NBR-OF-CONSECUTIVE-DIGITS                       SOBEMAP.
039300     IF ODD-NBR-OF-DIGITS                                         SOBEMAP.
039400         MOVE NBR-OF-DIGITS TO THIS-D                             SOBEMAP.
039500         ADD 1 TO NBR-OF-DIGITS                                   SOBEMAP.
039600         MOVE NBR-OF-DIGITS TO DEST-D                             SOBEMAP.
039700         PERFORM MOVE-DATE-DIGIT--THEN-ZERO                       SOBEMAP.
039800     .                                                            SOBEMAP.
039900                                                                  SOBEMAP.
040000 MOVE-DATE-DIGIT--THEN-ZERO.                                      SOBEMAP.
040100     MOVE DATE-DIGIT (THIS-D) TO DATE-DIGIT (DEST-D)              SOBEMAP.
040200     MOVE        ZERO         TO DATE-DIGIT (THIS-D)              SOBEMAP.
040300     .                                                            SOBEMAP.
040400                                                                  SOBEMAP.
040500 FILL-UP-WITH-CENTURY.                                            SOBEMAP.
040600     MOVE DATE-SCHEMA-LAST TO LAST-D                              SOBEMAP.
040700                                                                  SOBEMAP.
040800     PERFORM MOVE-DATE-DIGITS-2-RIGHT                             SOBEMAP.
040900       VARYING THIS-D FROM NBR-OF-DIGITS BY -1                    SOBEMAP.
041000         UNTIL THIS-D < LAST-D                                    SOBEMAP.
041100                                                                  SOBEMAP.
041200     ADD 2 TO NBR-OF-DIGITS                                       SOBEMAP.
041300     .                                                            SOBEMAP.
041400                                                                  SOBEMAP.
041500 MOVE-DATE-DIGITS-2-RIGHT.                                        SOBEMAP.
041600     COMPUTE DEST-D = THIS-D + 2                                  SOBEMAP.
041700     PERFORM MOVE-DATE-DIGIT--THEN-ZERO                           SOBEMAP.
041800     .                                                            SOBEMAP.
041900                                                                  SOBEMAP.
042000 EXTRACT-FORMATTED-DATE.                                          SOBEMAP.
042100     IF NO-YEAR-ENTERED                                           98/02/10
042200         MOVE "E" TO DATEPK-FEEDBACK                              98/02/10
042300     ELSE                                                         98/02/10
042400     IF DATE-SCHEMA-FORMAT = "Y"                                  SOBEMAP.
042500         MOVE Y-DATE-YYYY TO YEAR-VALUE                           88/07/27
042600         MOVE Y-DATE-MM   TO MONTH-VALUE                          88/07/27
042700         MOVE Y-DATE-DD   TO DAY-VALUE                            88/07/27
042800     ELSE                                                         SOBEMAP.
042900     IF DATE-SCHEMA-FORMAT = "M"                                  SOBEMAP.
043000         MOVE M-DATE-YYYY TO YEAR-VALUE                           88/07/27
043100         MOVE M-DATE-MM   TO MONTH-VALUE                          88/07/27
043200         MOVE M-DATE-DD   TO DAY-VALUE                            88/07/27
043300     ELSE                                                         SOBEMAP.
043400     IF DATE-SCHEMA-FORMAT = "D"                                  SOBEMAP.
043500         MOVE D-DATE-YYYY TO YEAR-VALUE                           SOBEMAP.
043600         MOVE D-DATE-MM   TO MONTH-VALUE                          SOBEMAP.
043700         MOVE D-DATE-DD   TO DAY-VALUE                            SOBEMAP.
043800     .                                                            SOBEMAP.
043900                                                                  SOBEMAP.
044000 CHECK-THE-DATE.                                                  SOBEMAP.
044100     IF MONTH-VALUE = 99                                          98/03/30
044200         PERFORM CHECK-INFINITY-DATE                              98/03/30
044300     ELSE                                                         98/03/30
044400     IF MONTH-VALUE < 1 OR 12 < MONTH-VALUE                       SOBEMAP.
044500     OR (DAY-VALUE  < 1 OR DAYS (MONTH-VALUE) < DAY-VALUE)        97/05/29
044600         MOVE "E" TO DATEPK-FEEDBACK                              97/05/29
044700     ELSE                                                         97/05/29
044800         PERFORM ADJUST-YEAR                                      97/05/29
044900         IF MONTH-VALUE = 2 AND DAY-VALUE = 29                    97/05/29
045000             PERFORM CHECK-LEAP-YEAR                              97/05/29
045100     .                                                            SOBEMAP.
045200                                                                  SOBEMAP.
045300 CHECK-INFINITY-DATE.                                             98/03/30
045400     IF DAY-VALUE NOT = 99                                        98/03/30
045500         MOVE "E" TO DATEPK-FEEDBACK                              98/03/30
045600     ELSE                                                         98/03/30
045700     IF YEAR-VALUE = 99 OR 9999                                   98/03/30
045800         MOVE 9999 TO YEAR-VALUE                                  98/03/30
045900     ELSE                                                         98/03/30
046000         MOVE "E" TO DATEPK-FEEDBACK                              98/03/30
046100     .                                                            98/03/30
046200                                                                  98/03/30
046300 ADJUST-YEAR.                                                     SOBEMAP.
046400     IF DATE-LENGTH < 10 AND YEAR-VALUE > 100                     95/07/14
046500         IF YEAR-VALUE < 1900 OR > 2099                           95/07/14
046600             DIVIDE 100 INTO YEAR-VALUE                           95/07/14
046700     .                                                            95/07/14
046800     IF YEAR-VALUE < 50                                           SOBEMAP.
046900         ADD 2000 TO YEAR-VALUE                                   SOBEMAP.
047000     ELSE                                                         SOBEMAP.
047100     IF YEAR-VALUE < 100                                          SOBEMAP.
047200         ADD 1900 TO YEAR-VALUE                                   SOBEMAP.
047300     .                                                            SOBEMAP.
047400                                                                  SOBEMAP.
047500 CHECK-LEAP-YEAR.                                                 SOBEMAP.
047600     DIVIDE 4 INTO YEAR-VALUE                                     SOBEMAP.
047700         GIVING    YEAR-DIV                                       SOBEMAP.
047800         REMAINDER YEAR-REM                                       SOBEMAP.
047900                                                                  SOBEMAP.
048000     IF YEAR-REM NOT = ZERO                                       SOBEMAP.
048100         MOVE "E" TO DATEPK-FEEDBACK                              SOBEMAP.
048200     ELSE                                                         SOBEMAP.
048300         DIVIDE 100 INTO YEAR-VALUE                               SOBEMAP.
048400             GIVING      YEAR-DIV                                 SOBEMAP.
048500             REMAINDER   YEAR-REM                                 SOBEMAP.
048600                                                                  SOBEMAP.
048700         IF YEAR-REM = ZERO                                       SOBEMAP.
048800             DIVIDE 400 INTO YEAR-VALUE                           SOBEMAP.
048900                 GIVING      YEAR-DIV                             SOBEMAP.
049000                 REMAINDER   YEAR-REM                             SOBEMAP.
049100                                                                  SOBEMAP.
049200             IF YEAR-REM NOT = ZERO                               SOBEMAP.
049300                 MOVE "E" TO DATEPK-FEEDBACK                      SOBEMAP.
049400     .                                                            SOBEMAP.
049500                                                                  SOBEMAP.
049600 ACCEPT-THE-DATE.                                                 SOBEMAP.
049700     MOVE YEAR-VALUE  TO INT-YEAR                                 SOBEMAP.
049800     MOVE MONTH-VALUE TO INT-MONTH                                SOBEMAP.
049900     MOVE DAY-VALUE   TO INT-DAY                                  SOBEMAP.
050000                                                                  SOBEMAP.
050100     MOVE DATE-TOP TO CHAR-P                                      SOBEMAP.
050200     MOVE    8     TO COPY-P                                      SOBEMAP.
050300                                                                  SOBEMAP.
050400     PERFORM GET-INTERNAL-DATE                                    SOBEMAP.
050500       UNTIL CHAR-P = 1                                           SOBEMAP.
050600     .                                                            SOBEMAP.
050700                                                                  SOBEMAP.
050800 GET-INTERNAL-DATE.                                               SOBEMAP.
050900     SUBTRACT 1 FROM CHAR-P                                       SOBEMAP.
051000     IF COPY-P > ZERO                                             SOBEMAP.
051100         MOVE INT-DATE-CHAR (COPY-P) TO INT-CHAR (CHAR-P)         SOBEMAP.
051200         SUBTRACT 1 FROM COPY-P                                   SOBEMAP.
051300     ELSE                                                         SOBEMAP.
051400         MOVE ZERO TO INT-CHAR (CHAR-P)                           SOBEMAP.
051500     .                                                            SOBEMAP.
051600                                                                  89/10/05
051700 DETERMINE-THE-MONTH.                                             89/10/05
051800     IF NAME-CHAR-P = 3                                           89/10/05
051900         MOVE "E" TO DATEPK-FEEDBACK                              89/10/05
052000     ELSE                                                         89/10/05
052100         SUBTRACT 1 FROM THIS-CHAR                                89/10/05
052200         PERFORM ACCEPT-MONTH-NAME-CHAR                           89/10/05
052300           UNTIL NAME-CHAR-P = 3                                  89/10/05
052400                                                                  89/10/05
052500         IF NBR-OF-DIGITS < 6                                     89/10/05
052600             PERFORM FIND-MONTH-FROM-NAME                         89/10/05
052700               VARYING MONTH-NBR FROM 1 BY 1                      89/10/05
052800                 UNTIL NAME-OF-MONTH (MONTH-NBR) = THE-NAME       89/10/05
052900                                                                  89/10/05
053000             IF MONTH-NBR > 13                                    98/03/30
053100                 MOVE "E" TO DATEPK-FEEDBACK                      89/10/05
053200             ELSE                                                 89/10/05
053300                 PERFORM ADJUST-DAY-NBR                           98/03/30
053400                 PERFORM ADJUST-MONTH-NBR                         98/03/30
053500                 MOVE MONTH-NBR TO EXT-MONTH                      89/10/05
053600                 PERFORM GET-MONTH-DIGIT                          89/10/05
053700                   VARYING CHAR-P FROM 1 BY 1                     89/10/05
053800                     UNTIL CHAR-P > 2                             89/10/05
053900         ELSE                                                     89/10/05
054000             MOVE "E" TO DATEPK-FEEDBACK                          89/10/05
054100     .                                                            89/10/05
054200                                                                  89/10/05
054300 ACCEPT-MONTH-NAME-CHAR.                                          89/10/05
054400     IF CHAR-IS-LETTER                                            89/10/05
054500         ADD 1 TO THIS-CHAR                                       89/10/05
054600         ADD 1 TO NAME-CHAR-P                                     89/10/05
054700         MOVE EXT-CHAR       (THIS-CHAR)                          89/10/05
054800           TO THE-NAME-CHAR (NAME-CHAR-P)                         89/10/05
054900     ELSE                                                         89/10/05
055000         MOVE "E" TO DATEPK-FEEDBACK                              89/10/05
055100     .                                                            89/10/05
055200                                                                  89/10/05
055300 FIND-MONTH-FROM-NAME.                                            89/10/05
055400     EXIT                                                         89/10/05
055500     .                                                            89/10/05
055600                                                                  89/10/05
055700 ADJUST-DAY-NBR.                                                  98/03/30
055800     IF NBR-OF-DIGITS = 1                                         89/10/05
055900         MOVE DATE-DIGIT (1) TO DATE-DIGIT (2)                    89/10/05
056000         MOVE    ZERO        TO DATE-DIGIT (1)                    89/10/05
056100         ADD 1 TO NBR-OF-DIGITS                                   89/10/05
056200         ADD 1 TO NBR-OF-CONSECUTIVE-DIGITS                       89/10/05
056300     ELSE                                                         89/10/05
056400     IF NBR-OF-DIGITS = 0                                         89/10/05
056500         MOVE MDY-SCHEMA TO DATE-SCHEMA                           89/10/05
056600     .                                                            89/10/05
056700                                                                  89/10/05
056800 ADJUST-MONTH-NBR.                                                98/03/30
056900     IF MONTH-NBR = 13                                            98/03/30
057000         MOVE 99 TO MONTH-NBR                                     98/03/30
057100     .                                                            98/03/30
057200                                                                  98/03/30
057300 GET-MONTH-DIGIT.                                                 89/10/05
057400     ADD 1 TO NBR-OF-DIGITS                                       89/10/05
057500     ADD 1 TO NBR-OF-CONSECUTIVE-DIGITS                           89/10/05
057600     MOVE EXT-MONTH-CHAR (CHAR-P) TO DATE-DIGIT (NBR-OF-DIGITS)   89/10/05
057700     .                                                            89/10/05